_user_int_ram  .equ  $D2FD

.org $D748		;_asm_exec_ram

 call $4AB1			;_runindicoff
 call $49DC			;_flushallmenus
 call $4A82			;_clrScrn
;decompress or copy the picture data for each picture (5 total) to the correct location
 ld de,Konoko_1
 call decompV
 ld hl,$FC00
 ld de,$CA00
 ld bc,1024
 ldir
 ld de,Konoko_2
 call decompV
 ld hl,$FC00
 ld de,$F600
 ld bc,1024
 ldir
 ld de,Konoko_3
 call decompV
 ld hl,$FC00
 ld de,$F200
 ld bc,1024
 ldir
 ld de,Konoko_4
 call decompV
 ld hl,$FC00
 ld de,$EE00
 ld bc,1024
 ldir
 ld de,Konoko_5
 call decompV

 res 2,(iy+$23)		;turn user int off so it won't get called by
					;accident before we're ready
clear_int:		;I always clear the interrupt for neatness (mainly for debugging)
 ld hl,$d2fd	;point hl to interrupt RAM
 ld (hl),$5A	;$5A is the standard checksum for a blank interrupt
 inc hl			;point hl one byte forward
 ld (hl),0		;clear the next byte
 ld de,$d2ff	;point de to the byte after hl
 ld bc,198		;we have to clear 198 bytes (of 200) since we already did the 1st & 2nd
 ldir			;clear it out

 ld hl,int				;hl point to the begining of the program
 ld de,_user_int_ram+1	;de pionts to where the program is to be loaded
 ld bc,int_end-int		;bc is the length of the program to be sent
 ldir					;copies it

 ld a,(_user_int_ram+1)			;this sets up checksum byte - 
 ld hl,_user_int_ram+($28*1)	;we need to add the 1st bite with another one
 add a,(hl)						;every 40 bytes and store it in the...
 ld hl,_user_int_ram+($28*2)
 add a,(hl)
 ld hl,_user_int_ram+($28*3)
 add a,(hl)
 ld hl,_user_int_ram+($28*4)
 add a,(hl)
 ld hl,_user_int_ram+($28*5)
 add a,(hl)
 ld (_user_int_ram),a			;first byte of the interrupt area

 set 2,(iy+$23)				;turn on the interrupt
 ld b,10
keyLoop:
 halt
 djnz keyLoop
 ld b,10

 ld a,%10000000
 out (1),a
 in a,(1)
 cp $FF
 jr z,keyLoop

 res 2,(iy+$23)		;turn user int off
 ld a,$3C
 out (0),a
 call $4A82			;_clrScrn
 ret


int:
 push af
 push hl
 ld hl,counter
 dec (hl)
 jr nz,EndIntRoutine
 ld (hl),2
 inc hl
 ld hl,page_number
 ld a,(hl)
 cp 32				;where to put the "use #"
 jr nz,keepgoing
 ld (hl),1
keepgoing:
 ld b,(hl)
 inc (hl)
findpage:
 inc hl
 djnz findpage
 ld a,(Last)
 cp (hl)
 jr z,EndIntRoutine
 ld a,(hl)
 out (0),a
 ld (Last),a
EndIntRoutine:
 pop hl
 pop af
 ret
int_end:


Last:
	.db 0
counter:
	.db 2

page_number:
	.db 1
page_order:
;gray 32 (use 32 & all pics)
	.db $2E,$3C,$3C,$32,$2E,$3C,$3C,$36,$2E,$3C,$3C,$32
	.db $2E,$3C,$0A,$3C,$3C,$2E,$32,$3C,$2E,$3C,$3C,$2E
	.db $36,$3C,$3C,$32,$2E,$3C,$3C

;gray 16 (use 14 & last 4 pics only)
;	.db $3C,$2E,$3C,$32,$3C,$36,$3C,$2E,$3C,$32,$3C,$2E,$3C

;gray 8 (use 8 & last 3 pics only)
;	.db $3C,$2E,$3C,$32,$3C,$2E,$3C

;gray 4 (use 5 & last 2 pics only)
;	.db $3C,$2E,$3C,$2E,$3C



;********************************************************
; -decompresses data that is vertically compressed with
; bmp2asm, by Levi Lansing    (total size=63 bytes)
; -(decompresses data into the video memory - 1024 bytes)
; -de=location of data to decompress
; -destroys- a,b,c,hl,de (points to byte after data)
;********************************************************
decompV:
 ld hl,$FC00        ;point hl to the screen mem
decompLoop:
 ld a,(de)          ;load the first byte of the compressed data
 cp $B7             ;check if it's a marker
 jr nz,DCnorm       ;if it's not, treat it as a normal byte
 inc de             ;if the byte is marked, the next byte tells us the value
 ld a,(de)          ;that is repeated so we
 ld c,a             ;put that in c
 inc de             ;the next byte tells us how many times it's repeated
 ld a,(de)
 ld b,a             ;we will load that into b to be used as a counter
 inc de             ;point to the next byte for later
DCrepeatLoop:
 ld (hl),c          ;put the value in the screen mem once
 push de            ;hide de
 ld de,16
 add hl,de          ;point hl to the next row (16 bytes forward)
 jr nc,DCloop       ;if hl isn't past the end of the screen data ($FFFF), then continue
 ld de,1022         ;if it is, we need to put it back to the next column
 sbc hl,de          ;point hl to the 1st row of the next column
 ld a, l
 cp $10             ;if l is over $10 (16d), it has completed the full screen
 jr c,DCloop        ;jump if it's not over $10 to continue
 pop de             ;restore de again
 ret                ;return from the routine
DCloop:
 pop de             ;restore de
 djnz DCrepeatLoop  ;decrement b and continue loading the same byte down the
                    ;column until b is 0
 jr decompLoop      ;continue with the next byte
DCnorm:
 ld (hl),a          ;load the byte into the screen mem
 inc de             ;point de to the next byte
 push de            ;hide it
 ld de, 16
 add hl,de          ;point hl to the next row (16 bytes forward)
 pop de             ;restore de
 jr nc,decompLoop   ;if hl did not go past $FFFF (it would flip to 0+) then continue
 push de            ;hide de again
 ld de, 1022
 sbc hl,de          ;subtracting 1022 from hl put's it at the 1st row of the next column
 ld a, l
 cp $10             ;check if hl is past the first row (if it is, we finished decompressing)
 pop de             ;restore de again
 jr c,decompLoop    ;if we're not done, keep going...
 ret                ;if we get here, we're done and will return from the routine



Konoko_1:
;Compressed picture made with BMP2ASM v1.1 by Levi Lansing (puzzlesome@hotmail.com)
;Compressed from 1024 bytes to 1026 bytes - 0% compressed!
  .db $7F, $FE, $FF, $E7, $FF, $FF, $FE, $FD, $EF, $FE, $F7, $FF, $FD, $FF, $FF, $EB
  .db $D6, $FB, $EB, $F0, $C5, $62, $51, $4B, $90, $EE, $3B, $9C, $B1, $DF, $09, $26
  .db $7E, $B2, $3E, $E1, $A0, $1E, $95, $DE, $EF, $03, $F6, $AA, $C0, $6B, $7A, $59
  .db $AE, $14, $E2, $3C, $D0, $AE, $87, $4A, $A8, $5B, $0F, $67, $F9, $69, $1E, $7F
  .db $FF, $FF, $FF, $EF, $FB, $FF, $DF, $FB, $FB, $FD, $FA, $F8, $7E, $71, $84, $3A
  .db $83, $A2, $A7, $9E, $A5, $23, $6E, $3D, $7E, $65, $B9, $76, $8D, $2F, $22, $B9
  .db $D8, $44, $5B, $9A, $E3, $74, $47, $74, $B4, $44, $88, $3F, $B6, $1C, $9D, $7F
  .db $48, $E7, $85, $A7, $21, $53, $2B, $D7, $09, $4F, $4F, $6B, $B1, $09, $BC, $89
  .db $EA, $E0, $D4, $F1, $F0, $C6, $FB, $E9, $EF, $95, $F2, $8B, $37, $69, $C4, $C5
  .db $03, $2B, $E3, $2E, $82, $97, $CB, $2E, $0B, $BF, $05, $6B, $2E, $73, $89, $45
  .db $D3, $BC, $CE, $F7, $8B, $3A, $F3, $82, $59, $AE, $CB, $77, $AE, $53, $F7, $F0
  .db $1D, $41, $59, $ED, $8C, $20, $6C, $C3, $A2, $A4, $46, $4F, $8D, $DD, $2C, $5A
  .db $6C, $F2, $6F, $61, $3D, $90, $19, $34, $34, $DB, $09, $05, $C5, $E0, $28, $0F
  .db $0F, $FF, $A7, $1E, $87, $88, $D3, $8B, $D2, $72, $29, $81, $9F, $35, $48, $E7
  .db $C6, $26, $7F, $C8, $8B, $F1, $E2, $0B, $FF, $6F, $DB, $D9, $1C, $FE, $15, $D8
  .db $28, $06, $D4, $DE, $9E, $57, $7A, $DE, $4A, $F7, $0E, $68, $52, $9F, $DF, $EF
  .db $1A, $93, $B6, $72, $99, $9B, $A2, $60, $C7, $C7, $D2, $65, $B4, $3F, $4F, $8E
  .db $0F, $12, $1F, $F7, $FF, $9B, $B2, $83, $0A, $B2, $43, $25, $88, $8A, $F8, $19
  .db $34, $8A, $9E, $1A, $89, $91, $1F, $90, $DD, $D8, $D6, $BE, $21, $14, $A8, $E1
  .db $DF, $C7, $45, $52, $2C, $0C, $3A, $9E, $85, $A6, $CF, $FE, $02, $D4, $EC, $DF
  .db $F5, $CD, $7C, $DD, $D4, $F6, $84, $3D, $EE, $EE, $DF, $73, $CE, $AD, $9F, $2D
  .db $F3, $3F, $98, $EC, $F7, $3D, $DF, $E7, $7F, $A6, $90, $34, $5E, $97, $48, $B3
  .db $71, $F5, $33, $60, $43, $29, $A5, $47, $00, $FF, $38, $06, $35, $F1, $EF, $82
  .db $12, $13, $CE, $45, $D2, $61, $50, $1F, $64, $A1, $8B, $78, $D5, $E5, $FA, $1F
  .db $FB, $FF, $EF, $FF, $DB, $BE, $FF, $FF, $FF, $BC, $E8, $F4, $EF, $05, $81, $10
  .db $CA, $20, $D3, $F8, $B3, $17, $62, $E7, $D0, $58, $88, $68, $3F, $F4, $86, $04
  .db $AA, $C7, $97, $93, $4D, $98, $D3, $2E, $AE, $48, $1B, $37, $CB, $0B, $AB, $AA
  .db $92, $A2, $B6, $52, $45, $71, $0C, $D5, $28, $05, $2B, $0E, $F3, $7A, $C8, $24
  .db $BF, $FB, $DF, $FF, $7D, $F7, $9D, $FF, $FC, $C4, $11, $2C, $39, $13, $40, $FB
  .db $6B, $5B, $0F, $CC, $D3, $F8, $AD, $99, $F5, $78, $09, $26, $3C, $00, $02, $11
  .db $02, $AC, $C4, $30, $1E, $F0, $ED, $B3, $8F, $4D, $5C, $96, $9F, $57, $7F, $67
  .db $15, $20, $5D, $C0, $BB, $ED, $FF, $C3, $66, $61, $17, $76, $E5, $1D, $6B, $57
  .db $FF, $FF, $7F, $FF, $FB, $E4, $E6, $BF, $D8, $F8, $BC, $98, $78, $3B, $A1, $DE
  .db $31, $DA, $A0, $D8, $75, $10, $4D, $41, $E2, $60, $55, $70, $8B, $A9, $EF, $A9
  .db $5E, $75, $26, $FE, $B8, $F4, $BA, $9C, $58, $34, $08, $05, $EC, $8B, $28, $5E
  .db $38, $36, $22, $FE, $2B, $99, $E7, $5E, $07, $F9, $D5, $63, $B5, $33, $7C, $98
  .db $FD, $FF, $E9, $4F, $AC, $A5, $43, $FD, $F6, $19, $BC, $7E, $07, $97, $63, $A4
  .db $97, $F2, $4F, $28, $EB, $0A, $15, $04, $E5, $BD, $FC, $5F, $EF, $1C, $83, $F2
  .db $45, $E9, $39, $E1, $FF, $E6, $4E, $7D, $39, $DE, $8F, $D0, $7E, $14, $FE, $6D
  .db $01, $40, $F9, $B4, $5C, $D0, $4A, $A8, $92, $CC, $C8, $7E, $FE, $DB, $74, $93
  .db $7F, $7E, $B7, $B7, $01, $DF, $DD, $E7, $FF, $7C, $C3, $93, $E4, $84, $FF, $FC
  .db $D9, $31, $5C, $FC, $19, $4A, $04, $0A, $22, $72, $96, $B6, $78, $CB, $57, $76
  .db $42, $C1, $9C, $1A, $58, $4D, $31, $01, $6B, $F6, $97, $F2, $2D, $BF, $0F, $5C
  .db $41, $C0, $9C, $1C, $F2, $31, $37, $0A, $8B, $EF, $55, $0C, $2B, $16, $FC, $E4
  .db $BA, $54, $FF, $FF, $FF, $9F, $B7, $FF, $04, $FE, $FF, $9E, $07, $E9, $50, $1B
  .db $24, $73, $02, $E9, $01, $9C, $A8, $6F, $E1, $3E, $6D, $33, $53, $FB, $5A, $2E
  .db $3F, $E2, $7E, $FD, $7C, $59, $F2, $4E, $B2, $28, $7D, $A5, $1A, $DE, $B7, $B7
  .db $01, $BD, $09, $14, $24, $D4, $88, $93, $65, $C4, $5D, $1A, $25, $9C, $D2, $C9
  .db $C7, $03, $EF, $BF, $B7, $FF, $04, $7F, $FF, $FF, $EF, $AF, $F8, $3C, $9E, $9E
  .db $85, $9F, $F7, $9F, $1F, $93, $34, $76, $26, $4E, $A7, $66, $F3, $6F, $03, $C3
  .db $44, $3F, $0A, $A0, $D3, $62, $81, $E2, $22, $E6, $7E, $0B, $42, $C3, $C3, $7D
  .db $E5, $0A, $93, $9D, $A4, $19, $73, $91, $D2, $5B, $72, $FA, $8A, $FC, $C2, $4D
  .db $B9, $17, $FF, $FF, $73, $FF, $FF, $FF, $DE, $FF, $E0, $FF, $8B, $99, $0E, $37
  .db $9C, $67, $E7, $FF, $FF, $DF, $76, $C3, $CF, $0E, $84, $9E, $47, $C2, $3E, $F1
  .db $8C, $41, $3A, $5B, $44, $36, $DF, $DC, $3C, $72, $89, $A2, $79, $2D, $1E, $07
  .db $BF, $66, $52, $A7, $1E, $52, $02, $6C, $EE, $9F, $E9, $CC, $C5, $9C, $FF, $7A
  .db $80, $82, $FF, $8C, $EA, $FF, $FF, $FF, $EF, $4B, $0C, $B3, $47, $EE, $FF, $7F
  .db $E7, $7F, $FF, $FF, $7F, $E7, $9F, $FF, $7F, $DB, $DD, $F7, $1E, $1F, $A9, $14
  .db $42, $A4, $8C, $90, $22, $D4, $8C, $17, $DB, $27, $38, $31, $41, $CA, $E6, $CC
  .db $E4, $2F, $90, $05, $5D, $15, $96, $B1, $9E, $AE, $65, $E1, $AF, $C3, $B9, $1B
  .db $D0, $28, $AF, $30, $AA, $97, $8C, $F6, $D2, $3C, $E7, $75, $5F, $57, $C3, $E4
  .db $54, $F2, $7D, $AB, $FB, $EF, $F5, $60, $5B, $C1, $F2, $7D, $EF, $7B, $7E, $79
  .db $0A, $1D, $38, $40, $8F, $8F, $C0, $15, $96, $71, $67, $9A, $57, $DF, $1F, $99
  .db $AF, $A3, $D0, $15, $0E, $9F, $93, $FE, $85, $C5, $2A, $8C, $BC, $22, $D0, $C7
  .db $A9, $2D

Konoko_2:
;Compressed picture made with BMP2ASM v1.1 by Levi Lansing (puzzlesome@hotmail.com)
;Compressed from 1024 bytes to 934 bytes - 9% compressed!
  .db $B7, $FF, $12, $FE, $FF, $FE, $FF, $FE, $BC, $6F, $F0, $40, $70, $8D, $72, $43
  .db $5B, $9E, $7E, $F6, $F7, $E0, $EE, $F2, $F8, $38, $98, $78, $D8, $FC, $9C, $7C
  .db $DA, $55, $D0, $86, $D0, $62, $0C, $E4, $60, $A9, $40, $1C, $58, $DE, $B7, $FF
  .db $0F, $FD, $F6, $F3, $CD, $F0, $F5, $C8, $8F, $F9, $FD, $94, $FE, $F6, $D4, $C5
  .db $A6, $A8, $2C, $42, $42, $E3, $24, $18, $E5, $68, $80, $CF, $1F, $02, $60, $41
  .db $80, $0D, $E3, $47, $0C, $B0, $D2, $F6, $15, $F6, $0D, $B7, $B7, $02, $4B, $24
  .db $DB, $CA, $D9, $8C, $C4, $FA, $F0, $F3, $F6, $E5, $FE, $9A, $DF, $F7, $B7, $B7
  .db $01, $AA, $B5, $36, $DD, $F7, $84, $59, $71, $21, $BF, $C5, $78, $36, $54, $B4
  .db $70, $28, $01, $03, $61, $20, $50, $C0, $C8, $41, $00, $64, $80, $C7, $E0, $A9
  .db $60, $C1, $34, $88, $D1, $88, $60, $00, $61, $40, $DD, $17, $42, $5E, $68, $C2
  .db $A2, $A5, $06, $4F, $0C, $50, $91, $BB, $92, $2C, $67, $7E, $18, $ED, $7D, $FB
  .db $C6, $44, $66, $4E, $7A, $1F, $55, $20, $00, $C0, $90, $01, $FF, $5F, $0F, $47
  .db $0D, $0F, $0F, $12, $1F, $17, $2B, $0D, $6B, $46, $84, $27, $65, $06, $03, $67
  .db $07, $27, $04, $04, $63, $E1, $3A, $45, $2A, $3C, $A7, $67, $6B, $F7, $92, $7D
  .db $FA, $77, $7E, $DC, $3F, $AF, $BF, $FF, $22, $6C, $49, $CA, $06, $D3, $A8, $7A
  .db $99, $77, $01, $0B, $34, $E1, $FF, $7F, $FF, $FF, $FF, $BF, $B7, $FF, $04, $FD
  .db $EF, $ED, $FB, $9F, $7A, $FF, $FE, $4C, $02, $C0, $02, $C8, $78, $78, $EE, $E7
  .db $E7, $0B, $03, $F9, $CF, $5F, $98, $00, $A7, $FB, $17, $FF, $57, $7F, $FF, $FF
  .db $B3, $FB, $7F, $83, $BA, $FF, $FF, $33, $C0, $E0, $09, $6B, $E9, $E3, $01, $0D
  .db $13, $B7, $B7, $01, $17, $3F, $B7, $FF, $0B, $E7, $FF, $6F, $EF, $E7, $EC, $B7
  .db $B7, $01, $8E, $ED, $75, $10, $40, $01, $08, $00, $00, $A0, $FC, $FF, $FD, $10
  .db $C1, $E7, $D2, $92, $17, $F1, $BD, $AF, $01, $BA, $E0, $B9, $FB, $D9, $6F, $43
  .db $82, $87, $B7, $B7, $01, $B7, $FF, $0B, $FB, $FF, $FE, $FD, $FF, $F2, $FF, $BF
  .db $B7, $FF, $06, $F7, $F7, $F7, $F1, $2C, $79, $79, $BD, $82, $10, $03, $44, $80
  .db $07, $2C, $03, $4D, $E3, $84, $1F, $B9, $AD, $A9, $9C, $98, $E0, $80, $B2, $0C
  .db $22, $62, $42, $81, $AA, $C3, $03, $B7, $B7, $01, $5A, $BC, $B7, $FF, $08, $F8
  .db $FC, $F3, $FF, $A7, $8F, $3F, $27, $BF, $FF, $F7, $FF, $7F, $FE, $FF, $F0, $7B
  .db $FF, $FF, $F8, $E7, $FF, $7F, $EF, $FF, $D3, $12, $40, $01, $67, $AA, $4C, $71
  .db $B2, $83, $73, $7C, $7A, $37, $7C, $7A, $17, $88, $00, $01, $08, $02, $7C, $88
  .db $90, $00, $C0, $86, $36, $17, $00, $B7, $FF, $05, $FE, $FF, $E3, $6F, $DF, $D3
  .db $7F, $B7, $FF, $08, $DA, $A7, $B6, $1E, $9D, $5F, $C6, $5F, $F5, $7E, $D8, $DE
  .db $B1, $82, $80, $81, $D5, $0B, $47, $8A, $27, $DD, $F3, $FA, $13, $77, $67, $B6
  .db $71, $73, $5A, $79, $85, $B8, $CA, $88, $F0, $30, $38, $18, $35, $3C, $70, $62
  .db $FF, $FF, $F4, $8D, $8F, $DF, $3F, $DF, $B7, $FF, $06, $DF, $BF, $EF, $FF, $FF
  .db $FF, $9F, $F5, $DA, $FB, $98, $40, $81, $85, $90, $E6, $79, $0F, $BD, $02, $01
  .db $04, $02, $1A, $D1, $83, $C7, $20, $8B, $B3, $9A, $0A, $F6, $F8, $3B, $62, $2B
  .db $00, $15, $13, $D9, $C8, $5F, $03, $00, $00, $00, $E4, $89, $E6, $FF, $FF, $8F
  .db $B7, $FF, $0C, $FE, $FB, $FA, $FE, $FD, $FF, $F0, $62, $B7, $B7, $01, $67, $57
  .db $0B, $4F, $07, $87, $25, $DF, $50, $32, $CB, $FD, $75, $BB, $CF, $EE, $BE, $31
  .db $2D, $BF, $1F, $CC, $49, $E8, $FC, $E0, $52, $A0, $25, $18, $90, $8F, $DB, $B1
  .db $F0, $D1, $1F, $15, $C7, $A9, $B7, $FF, $0C, $7F, $E9, $EF, $9E, $06, $6E, $D7
  .db $46, $03, $A7, $80, $E2, $FA, $EF, $F8, $F9, $F9, $FE, $EF, $5E, $8A, $AE, $3C
  .db $5C, $6F, $EE, $E6, $CE, $BC, $7D, $3F, $3F, $CE, $40, $37, $64, $30, $50, $1C
  .db $96, $AD, $7B, $15, $17, $B7, $B7, $01, $48, $7A, $37, $B7, $B7, $01, $B9, $D3
  .db $E0, $B7, $FF, $0A, $FC, $FE, $A4, $E2, $9F, $7F, $7F, $FF, $FF, $6F, $FF, $AF
  .db $FF, $B7, $B7, $01, $DF, $9F, $67, $D3, $87, $23, $1B, $A6, $1E, $5F, $14, $FA
  .db $96, $63, $23, $79, $7B, $40, $00, $80, $80, $80, $68, $B5, $2A, $F2, $23, $E0
  .db $D1, $E6, $65, $BE, $F6, $B6, $3C, $72, $C3, $10, $E1, $6A, $B7, $FF, $08, $FC
  .db $F0, $50, $E0, $6B, $B7, $FF, $08, $7F, $7F, $BF, $EB, $74, $9F, $14, $C9, $08
  .db $7C, $3E, $A0, $E0, $3C, $41, $5F, $A3, $83, $84, $76, $57, $06, $92, $20, $38
  .db $40, $9B, $AE, $FD, $7A, $3E, $80, $FA, $BA, $EB, $81, $FA, $37, $7F, $27, $15
  .db $05, $5B, $FF, $FE, $B7, $FF, $04, $D7, $8A, $79, $5B, $9F, $3F, $9F, $B7, $FF
  .db $0E, $EF, $AF, $8C, $3B, $E7, $1B, $C7, $4F, $8B, $17, $84, $E5, $E8, $A0, $A0
  .db $C0, $A9, $21, $C2, $E0, $B4, $80, $00, $0B, $1C, $64, $AC, $6B, $39, $BC, $9F
  .db $56, $30, $C7, $26, $93, $13, $DF, $CF, $FF, $FB, $D3, $CB, $A8, $CB, $D8, $CC
  .db $E4, $C0, $F8, $C4, $EC, $E2, $E8, $F0, $F0, $FF, $F8, $F8, $F8, $FC, $FF, $F9
  .db $FF, $FB, $F8, $FD, $7C, $79, $FD, $BC, $7B, $71, $07, $5E, $E7, $B9, $CF, $C6
  .db $F8, $1F, $8C, $2F, $95, $DC, $0F, $C7, $EB, $AF, $74, $E0, $84, $FE, $3E, $A7
  .db $06, $D2, $5B, $8F, $81, $19

Konoko_3:
;Compressed picture made with BMP2ASM v1.1 by Levi Lansing (puzzlesome@hotmail.com)
;Compressed from 1024 bytes to 818 bytes - 20% compressed!
  .db $B7, $FF, $1B, $EF, $7E, $0D, $FE, $F9, $F8, $F8, $FA, $F3, $FF, $E1, $F8, $E0
  .db $C0, $C0, $B7, $A0, $04, $C0, $E3, $EF, $E8, $79, $EB, $FF, $8D, $07, $93, $56
  .db $BF, $FB, $BF, $B7, $FF, $0E, $FD, $FD, $FB, $F8, $F5, $E6, $FE, $DE, $CE, $D8
  .db $9A, $BA, $FF, $C6, $A5, $C6, $05, $46, $C8, $4C, $82, $00, $00, $84, $98, $78
  .db $98, $60, $60, $20, $62, $03, $07, $07, $03, $CF, $C7, $17, $1D, $2C, $59, $B9
  .db $78, $F0, $78, $28, $F4, $BB, $9C, $8D, $86, $F7, $F7, $F3, $FF, $FF, $E8, $FC
  .db $C3, $E7, $82, $83, $C6, $C0, $C8, $C8, $C2, $10, $9C, $56, $0D, $5F, $FE, $CD
  .db $0B, $41, $2F, $CB, $57, $67, $5E, $5C, $1F, $1F, $3F, $3F, $BF, $3F, $3F, $1B
  .db $7F, $7F, $1F, $5F, $3F, $7F, $FF, $FF, $FF, $FC, $B8, $80, $01, $40, $A2, $7F
  .db $01, $80, $93, $3F, $5F, $5A, $F9, $B0, $F3, $AF, $FF, $BF, $8F, $41, $1D, $9D
  .db $7A, $67, $6D, $1F, $07, $07, $1F, $3F, $B7, $FF, $04, $7F, $3F, $7F, $FF, $FF
  .db $E7, $B7, $FF, $04, $F7, $F1, $EF, $E7, $FB, $F7, $B0, $FE, $FE, $FF, $FB, $FA
  .db $FC, $FF, $FF, $DF, $FF, $FF, $FF, $E7, $17, $1E, $1C, $7C, $77, $F7, $E2, $E8
  .db $ED, $E0, $E5, $F8, $79, $FF, $BF, $9F, $FF, $FF, $9A, $18, $04, $05, $D0, $BC
  .db $DB, $DD, $7E, $88, $80, $80, $CB, $DF, $B7, $FF, $0E, $87, $FA, $FF, $FF, $84
  .db $7D, $BF, $9D, $E7, $B7, $FF, $09, $07, $07, $00, $45, $FC, $10, $87, $A8, $80
  .db $00, $00, $4C, $04, $84, $FE, $FF, $FF, $FF, $37, $55, $6C, $CC, $07, $7D, $7E
  .db $FF, $09, $EB, $6F, $EF, $B7, $FF, $11, $7F, $F7, $FE, $FD, $8A, $EF, $BF, $FE
  .db $F7, $B7, $FF, $06, $1B, $42, $87, $52, $92, $17, $00, $02, $FF, $01, $10, $00
  .db $02, $01, $24, $88, $A5, $78, $D8, $E0, $B7, $FF, $0E, $FA, $F8, $F9, $B7, $FF
  .db $0B, $FE, $D3, $FF, $FF, $9F, $7F, $EF, $FC, $BB, $7F, $F8, $D1, $F5, $B9, $6C
  .db $F8, $E0, $78, $A2, $A2, $8B, $87, $2F, $07, $BF, $6F, $3F, $7F, $8B, $FA, $54
  .db $3C, $15, $0F, $67, $C3, $B7, $FF, $0A, $FC, $FB, $DF, $BF, $B7, $FF, $06, $FC
  .db $F9, $FA, $FF, $FE, $FE, $FD, $B7, $FF, $0A, $9F, $6F, $76, $FE, $7F, $FF, $6F
  .db $0B, $86, $00, $B0, $84, $E9, $F7, $FF, $FE, $F6, $FC, $FE, $FF, $FF, $FF, $BF
  .db $BB, $F3, $FE, $B7, $FF, $07, $FD, $F6, $FB, $BF, $7F, $B7, $FF, $0D, $7F, $BF
  .db $3F, $BE, $B7, $FF, $07, $7F, $FF, $FF, $FF, $77, $9F, $EB, $FA, $FE, $FF, $FF
  .db $BF, $16, $0D, $8B, $AA, $F8, $02, $03, $54, $87, $8F, $CF, $CF, $CF, $E4, $E7
  .db $20, $A8, $FF, $FF, $F8, $8B, $67, $DF, $87, $B7, $FF, $10, $FE, $FF, $FD, $7E
  .db $79, $FB, $F8, $FD, $F8, $FD, $FE, $FE, $FF, $FD, $FC, $BD, $FD, $FD, $FC, $75
  .db $CC, $A5, $09, $F1, $F7, $24, $5D, $D4, $7F, $E8, $ED, $00, $08, $9F, $F4, $FF
  .db $FF, $7F, $BF, $FB, $7E, $FF, $FF, $7F, $B7, $FF, $0D, $FD, $FC, $FF, $FF, $FF
  .db $FC, $B8, $00, $08, $18, $14, $10, $18, $98, $88, $C8, $23, $0E, $34, $6F, $06
  .db $84, $D0, $D1, $81, $0F, $12, $00, $80, $03, $E6, $07, $13, $03, $6E, $3A, $22
  .db $0F, $6F, $74, $30, $18, $40, $18, $E4, $FA, $78, $FA, $B7, $FF, $0D, $FD, $EC
  .db $A1, $80, $19, $BF, $BF, $FF, $5F, $F7, $15, $00, $11, $06, $04, $06, $00, $51
  .db $61, $5D, $F9, $FB, $7D, $DB, $11, $39, $61, $83, $9A, $18, $A0, $3E, $FF, $B8
  .db $C2, $F0, $D0, $F8, $BE, $01, $98, $F4, $E7, $6B, $FB, $60, $62, $00, $38, $78
  .db $06, $B7, $FF, $0B, $FC, $FF, $FD, $3F, $7F, $B7, $FF, $08, $7F, $FF, $8F, $C7
  .db $DB, $A7, $27, $8F, $97, $3F, $ED, $25, $47, $14, $5A, $86, $9F, $9F, $FF, $7F
  .db $FF, $FF, $6F, $6B, $01, $80, $41, $03, $CD, $07, $7F, $FE, $F7, $34, $3F, $70
  .db $3D, $FD, $19, $81, $B7, $FF, $08, $F8, $FF, $9F, $FF, $D3, $7F, $B7, $FF, $08
  .db $BF, $9F, $FF, $FB, $F6, $F6, $FF, $F7, $93, $F3, $3F, $84, $A7, $24, $D8, $7F
  .db $7F, $B7, $FF, $09, $FE, $FC, $79, $79, $87, $E6, $9D, $77, $61, $47, $88, $80
  .db $87, $88, $FF, $03, $FF, $F1, $B7, $FF, $05, $C9, $7B, $FB, $87, $9F, $BF, $B7
  .db $FF, $0F, $F7, $ED, $FF, $FF, $F7, $F7, $FF, $FF, $FB, $7B, $99, $9F, $9F, $9F
  .db $FF, $97, $9F, $BE, $9C, $5C, $78, $F8, $F8, $F3, $98, $57, $8C, $30, $C0, $00
  .db $02, $08, $A0, $A1, $6F, $03, $FF, $7F, $B7, $FF, $07, $FB, $FB, $FF, $FF, $FB
  .db $FB, $FD, $F7, $FF, $FF, $F8, $FB, $FF, $FF, $FB, $FC, $FE, $F8, $FC, $FF, $FE
  .db $FF, $FE, $FE, $FF, $FC, $FE, $FC, $E0, $C7, $A1, $E7, $C6, $FB, $FB, $E3, $7F
  .db $FF, $FF, $7F, $7F, $07, $27, $B3, $63, $FC, $81, $41, $38, $07, $02, $43, $0C
  .db $85, $FE

Konoko_4:
;Compressed picture made with BMP2ASM v1.1 by Levi Lansing (puzzlesome@hotmail.com)
;Compressed from 1024 bytes to 687 bytes - 33% compressed!
  .db $B7, $FF, $1D, $FE, $FC, $FC, $F9, $F9, $F9, $F8, $F0, $F0, $B7, $E0, $04, $B7
  .db $C0, $04, $80, $83, $87, $80, $80, $80, $81, $F3, $FB, $B7, $FF, $17, $FA, $F0
  .db $E4, $EC, $B7, $FC, $04, $F8, $F8, $D8, $B9, $FA, $F9, $77, $F3, $FD, $FF, $FF
  .db $FB, $E7, $87, $77, $6F, $5F, $00, $01, $B7, $07, $04, $C7, $CF, $0F, $0E, $18
  .db $39, $79, $F8, $F8, $C0, $C0, $80, $C0, $E0, $F0, $F8, $F8, $F8, $FC, $FF, $FF
  .db $FF, $FE, $B7, $FC, $04, $F9, $FF, $FF, $FF, $3F, $0F, $83, $50, $7D, $7F, $FE
  .db $CC, $09, $03, $03, $07, $8F, $9F, $BF, $BF, $B7, $FF, $04, $7F, $B7, $FF, $06
  .db $3F, $B7, $FF, $06, $C0, $00, $01, $40, $FF, $7F, $00, $B7, $01, $05, $B7, $00
  .db $04, $03, $47, $07, $86, $82, $02, $04, $18, $F2, $E7, $B7, $FF, $07, $7F, $7F
  .db $7F, $B7, $FF, $0A, $F0, $F8, $F4, $F8, $FF, $F9, $FF, $FF, $FF, $FD, $B7, $FF
  .db $07, $1F, $0F, $3F, $7F, $7B, $67, $67, $FC, $B7, $FF, $06, $7F, $7F, $7F, $FF
  .db $FF, $FD, $00, $00, $00, $0F, $00, $00, $80, $B7, $FF, $14, $7F, $05, $00, $00
  .db $FB, $FF, $7F, $B7, $FF, $09, $FD, $B7, $FF, $04, $99, $FF, $17, $7F, $B7, $F8
  .db $07, $FD, $FF, $FF, $FF, $CF, $23, $13, $33, $FF, $03, $01, $00, $F3, $F7, $B7
  .db $FF, $14, $0F, $01, $02, $B7, $FF, $0B, $17, $BC, $C7, $D2, $92, $17, $FF, $FF
  .db $FF, $01, $10, $00, $00, $06, $00, $00, $F5, $EF, $EF, $C7, $B7, $FF, $0E, $FC
  .db $FC, $FC, $B7, $FF, $0F, $7F, $B7, $FF, $06, $FE, $FF, $C1, $8F, $5F, $F7, $05
  .db $A7, $A7, $8F, $87, $E7, $CF, $8F, $1F, $5F, $1F, $77, $7B, $7D, $7D, $F6, $E3
  .db $C3, $80, $B7, $FF, $09, $F8, $FF, $FF, $FF, $B7, $7F, $04, $B7, $FF, $05, $F9
  .db $F8, $FC, $FC, $FE, $B7, $FF, $0B, $A7, $7D, $B7, $FF, $05, $FE, $FF, $DF, $FF
  .db $FE, $B7, $FF, $0B, $F7, $FE, $7F, $B7, $FF, $06, $FB, $F9, $F7, $7F, $B7, $FF
  .db $0F, $7F, $7F, $7F, $7E, $B7, $FF, $0C, $E7, $F9, $FE, $FF, $FF, $BF, $F6, $F9
  .db $FB, $BA, $98, $F9, $FF, $3F, $07, $C7, $E7, $E7, $E7, $CC, $CF, $C8, $97, $FF
  .db $FF, $FF, $F7, $9F, $3F, $B7, $FF, $12, $FE, $FE, $FC, $FD, $7F, $FB, $FE, $FB
  .db $FE, $FF, $FF, $FF, $FE, $FE, $FF, $FF, $FF, $FE, $FE, $7F, $9F, $07, $F7, $EF
  .db $1F, $3F, $7F, $FF, $FE, $FE, $FF, $F7, $E0, $F8, $FF, $FF, $FF, $9F, $FF, $7E
  .db $B7, $FF, $10, $FE, $B7, $FF, $05, $C0, $07, $0F, $B7, $1F, $04, $9F, $8F, $AF
  .db $EB, $84, $FB, $1B, $07, $7F, $3F, $3F, $7F, $FF, $FF, $FF, $7F, $FF, $BF, $EF
  .db $D7, $BB, $FC, $3B, $27, $07, $9F, $FB, $60, $00, $80, $E0, $F8, $FC, $FC, $7C
  .db $B7, $FF, $0D, $FE, $F0, $C0, $01, $87, $7F, $FF, $FF, $FF, $EF, $F7, $FF, $FA
  .db $FD, $FD, $FE, $FE, $FF, $FF, $DF, $FF, $7F, $FC, $D8, $F8, $F8, $E0, $80, $98
  .db $00, $A0, $FE, $FF, $80, $DB, $EF, $CF, $C0, $8E, $81, $D8, $E4, $FF, $FB, $7C
  .db $7C, $7C, $7F, $7F, $3C, $1F, $B7, $FF, $0C, $F8, $7F, $7F, $B7, $FF, $0A, $7F
  .db $7F, $3F, $27, $1F, $9F, $1F, $0F, $7F, $7E, $CF, $88, $88, $82, $06, $1F, $1F
  .db $7F, $7F, $FF, $FF, $6F, $E3, $FD, $60, $00, $00, $C1, $07, $7F, $FE, $F0, $48
  .db $38, $77, $FE, $FE, $06, $00, $B7, $FF, $09, $F8, $E0, $00, $3C, $B7, $FF, $0B
  .db $9F, $8F, $89, $89, $80, $80, $E0, $80, $C0, $FF, $FD, $C3, $58, $7F, $7F, $B7
  .db $FF, $09, $FE, $FC, $78, $78, $80, $E1, $80, $00, $1E, $40, $00, $00, $07, $00
  .db $00, $FC, $B7, $FF, $07, $F7, $87, $07, $7F, $7F, $7F, $B7, $FF, $0F, $7F, $73
  .db $07, $1F, $0F, $0F, $87, $07, $07, $07, $86, $80, $80, $80, $C0, $80, $80, $81
  .db $83, $03, $07, $07, $07, $0F, $7F, $F8, $70, $C0, $00, $00, $01, $07, $9F, $5F
  .db $00, $FC, $B7, $FF, $26, $78, $5E, $18, $39, $07, $07, $1F, $FF, $7F, $7F, $FF
  .db $FF, $FF, $DF, $0F, $1F, $83, $80, $00, $40, $F8, $FD, $BC, $F0, $79, $00

Konoko_5:
;Compressed picture made with BMP2ASM v1.1 by Levi Lansing (puzzlesome@hotmail.com)
;Compressed from 1024 bytes to 310 bytes - 70% compressed!
  .db $B7, $FF, $2F, $FC, $F8, $B7, $FF, $33, $8F, $9F, $BF, $B7, $FF, $06, $3F, $3F
  .db $FF, $FF, $FF, $FE, $FE, $B7, $FF, $1A, $7F, $AF, $82, $80, $01, $33, $F7, $B7
  .db $FF, $1B, $FE, $BF, $00, $80, $B7, $FF, $3E, $F8, $F8, $B7, $FF, $38, $FE, $B7
  .db $FF, $04, $FE, $00, $E8, $F8, $B7, $FF, $37, $EF, $FF, $F8, $AD, $6D, $E8, $00
  .db $00, $00, $FE, $EF, $B7, $FF, $05, $FA, $F0, $F0, $F8, $B7, $FF, $28, $F8, $FE
  .db $F0, $E0, $F8, $FE, $5F, $5F, $77, $7F, $1F, $3F, $7F, $B7, $FF, $04, $87, $83
  .db $83, $0F, $1C, $3C, $7F, $B7, $FF, $26, $DF, $83, $B7, $00, $05, $01, $80, $E0
  .db $F8, $B7, $FF, $0B, $7F, $0F, $01, $80, $B7, $FF, $28, $7F, $1F, $07, $01, $00
  .db $00, $40, $09, $06, $04, $C5, $E7, $B7, $FF, $08, $FB, $F8, $FF, $7F, $B7, $FF
  .db $1B, $FE, $FC, $FC, $F8, $FC, $F8, $FC, $B7, $FF, $04, $FE, $FE, $FE, $FF, $FF
  .db $FF, $7F, $FF, $0F, $1F, $B7, $FF, $0D, $7F, $07, $81, $B7, $FF, $17, $F8, $F0
  .db $B7, $E0, $04, $60, $70, $70, $1C, $7F, $FF, $F0, $F8, $B7, $00, $07, $80, $80
  .db $C0, $F0, $E8, $C4, $83, $C7, $DF, $B7, $FF, $21, $1F, $0F, $07, $07, $03, $03
  .db $01, $01, $00, $00, $20, $00, $80, $83, $27, $07, $07, $1F, $7F, $67, $FF, $5F
  .db $01, $00, $7F, $3C, $1F, $3F, $3F, $71, $FE, $E7, $FB, $F8, $FC, $B7, $FF, $2D
  .db $FD, $F9, $E0, $E0, $80, $80, $00, $00, $90, $1C, $FE, $FF, $FF, $FF, $3E, $F8
  .db $80, $01, $0F, $FF, $C7, $8F, $B7, $FF, $26, $C3, $FF, $A7, $80, $80, $B7, $00
  .db $09, $01, $03, $87, $87, $7F, $1F, $7F, $FF, $FF, $BF, $FF, $FF, $F8, $B7, $FF
  .db $29, $B7, $7F, $04, $3F, $B7, $7F, $04, $B7, $FF, $0D, $7F, $B7, $FF, $39, $7F
  .db $7F, $B7, $FF, $06, $FE, $FF
.end
