_user_int_ram  .equ  $D2FD

.org $D748		;_asm_exec_ram

 call $4AB1			;_runindicoff
 call $49DC			;_flushallmenus
 call $4A82			;_clrScrn
;decompress or copy the picture data for each picture (5 total) to the correct location
 ld de,back2_1
 call decompV
 ld hl,$FC00
 ld de,$CA00
 ld bc,1024
 ldir
 ld de,back2_2
 call decompV
 ld hl,$FC00
 ld de,$F600
 ld bc,1024
 ldir
 ld de,back2_3
 call decompV
 ld hl,$FC00
 ld de,$F200
 ld bc,1024
 ldir
 ld de,back2_4
 call decompV
 ld hl,$FC00
 ld de,$EE00
 ld bc,1024
 ldir
 ld de,back2_5
 call decompV

 res 2,(iy+$23)		;turn user int off so it won't get called by
					;accident before we're ready
clear_int:		;I always clear the interrupt for neatness (mainly for debugging)
 ld hl,$d2fd	;point hl to interrupt RAM
 ld (hl),$5A	;$5A is the standard checksum for a blank interrupt
 inc hl			;point hl one byte forward
 ld (hl),0		;clear the next byte
 ld de,$d2ff	;point de to the byte after hl
 ld bc,198		;we have to clear 198 bytes (of 200) since we already did the 1st & 2nd
 ldir			;clear it out

 ld hl,int				;hl point to the begining of the program
 ld de,_user_int_ram+1	;de pionts to where the program is to be loaded
 ld bc,int_end-int		;bc is the length of the program to be sent
 ldir					;copies it

 ld a,(_user_int_ram+1)			;this sets up checksum byte - 
 ld hl,_user_int_ram+($28*1)	;we need to add the 1st bite with another one
 add a,(hl)						;every 40 bytes and store it in the...
 ld hl,_user_int_ram+($28*2)
 add a,(hl)
 ld hl,_user_int_ram+($28*3)
 add a,(hl)
 ld hl,_user_int_ram+($28*4)
 add a,(hl)
 ld hl,_user_int_ram+($28*5)
 add a,(hl)
 ld (_user_int_ram),a			;first byte of the interrupt area

 set 2,(iy+$23)				;turn on the interrupt
 ld b,10
keyLoop:
 halt
 djnz keyLoop
 ld b,10

 ld a,%10000000
 out (1),a
 in a,(1)
 cp $FF
 jr z,keyLoop

 res 2,(iy+$23)		;turn user int off
 ld a,$3C
 out (0),a
 call $4A82			;_clrScrn
 ret


int:
 push af
 push hl
 ld hl,counter
 dec (hl)
 jr nz,EndIntRoutine
 ld (hl),2
 inc hl
 ld hl,page_number
 ld a,(hl)
 cp 32				;where to put the "use #"
 jr nz,keepgoing
 ld (hl),1
keepgoing:
 ld b,(hl)
 inc (hl)
findpage:
 inc hl
 djnz findpage
 ld a,(Last)
 cp (hl)
 jr z,EndIntRoutine
 ld a,(hl)
 out (0),a
 ld (Last),a
EndIntRoutine:
 pop hl
 pop af
 ret
int_end:


Last:
	.db 0
counter:
	.db 2

page_number:
	.db 1
page_order:
;gray 32 (use 32 & all pics)
	.db $2E,$3C,$3C,$32,$2E,$3C,$3C,$36,$2E,$3C,$3C,$32
	.db $2E,$3C,$0A,$3C,$3C,$2E,$32,$3C,$2E,$3C,$3C,$2E
	.db $36,$3C,$3C,$32,$2E,$3C,$3C

;gray 16 (use 14 & last 4 pics only)
;	.db $3C,$2E,$3C,$32,$3C,$36,$3C,$2E,$3C,$32,$3C,$2E,$3C

;gray 8 (use 8 & last 3 pics only)
;	.db $3C,$2E,$3C,$32,$3C,$2E,$3C

;gray 4 (use 5 & last 2 pics only)
;	.db $3C,$2E,$3C,$2E,$3C



;********************************************************
; -decompresses data that is vertically compressed with
; bmp2asm, by Levi Lansing    (total size=63 bytes)
; -(decompresses data into the video memory - 1024 bytes)
; -de=location of data to decompress
; -destroys- a,b,c,hl,de (points to byte after data)
;********************************************************
decompV:
 ld hl,$FC00        ;point hl to the screen mem
decompLoop:
 ld a,(de)          ;load the first byte of the compressed data
 cp $B7             ;check if it's a marker
 jr nz,DCnorm       ;if it's not, treat it as a normal byte
 inc de             ;if the byte is marked, the next byte tells us the value
 ld a,(de)          ;that is repeated so we
 ld c,a             ;put that in c
 inc de             ;the next byte tells us how many times it's repeated
 ld a,(de)
 ld b,a             ;we will load that into b to be used as a counter
 inc de             ;point to the next byte for later
DCrepeatLoop:
 ld (hl),c          ;put the value in the screen mem once
 push de            ;hide de
 ld de,16
 add hl,de          ;point hl to the next row (16 bytes forward)
 jr nc,DCloop       ;if hl isn't past the end of the screen data ($FFFF), then continue
 ld de,1022         ;if it is, we need to put it back to the next column
 sbc hl,de          ;point hl to the 1st row of the next column
 ld a, l
 cp $10             ;if l is over $10 (16d), it has completed the full screen
 jr c,DCloop        ;jump if it's not over $10 to continue
 pop de             ;restore de again
 ret                ;return from the routine
DCloop:
 pop de             ;restore de
 djnz DCrepeatLoop  ;decrement b and continue loading the same byte down the
                    ;column until b is 0
 jr decompLoop      ;continue with the next byte
DCnorm:
 ld (hl),a          ;load the byte into the screen mem
 inc de             ;point de to the next byte
 push de            ;hide it
 ld de, 16
 add hl,de          ;point hl to the next row (16 bytes forward)
 pop de             ;restore de
 jr nc,decompLoop   ;if hl did not go past $FFFF (it would flip to 0+) then continue
 push de            ;hide de again
 ld de, 1022
 sbc hl,de          ;subtracting 1022 from hl put's it at the 1st row of the next column
 ld a, l
 cp $10             ;check if hl is past the first row (if it is, we finished decompressing)
 pop de             ;restore de again
 jr c,decompLoop    ;if we're not done, keep going...
 ret                ;if we get here, we're done and will return from the routine



back2_1:
;Compressed picture made with BMP2ASM v1.1 by Levi Lansing (puzzlesome@hotmail.com)
;Compressed from 1024 bytes to 1021 bytes - 0% compressed!
  .db $63, $CF, $AF, $53, $FC, $B4, $9F, $4E, $9A, $23, $8C, $30, $D4, $76, $A6, $49
  .db $84, $04, $28, $D8, $AD, $D6, $3A, $74, $3A, $75, $2B, $2F, $00, $91, $1B, $01
  .db $24, $4B, $05, $26, $40, $28, $0F, $BF, $F0, $93, $21, $38, $04, $40, $E2, $21
  .db $04, $14, $80, $62, $00, $0A, $A4, $41, $80, $A2, $0C, $00, $3B, $14, $E4, $40
  .db $FF, $FF, $FF, $EC, $FC, $FC, $1E, $2F, $0A, $1F, $61, $94, $EC, $4E, $80, $24
  .db $41, $60, $95, $AC, $40, $A1, $5A, $95, $42, $2E, $E6, $40, $15, $C0, $E5, $F4
  .db $F8, $3A, $9E, $47, $0B, $3D, $56, $7A, $51, $19, $89, $87, $81, $11, $04, $44
  .db $C2, $41, $28, $82, $20, $01, $1A, $A3, $20, $C3, $77, $B4, $D0, $23, $01, $44
  .db $FD, $F4, $F3, $FE, $F7, $FF, $FF, $FD, $FF, $FB, $3F, $CF, $C7, $E7, $09, $C2
  .db $53, $2A, $54, $01, $89, $00, $25, $40, $83, $C9, $50, $06, $C4, $22, $22, $C0
  .db $10, $B1, $73, $61, $34, $CA, $E4, $22, $A1, $AD, $40, $20, $04, $46, $85, $02
  .db $12, $19, $22, $20, $14, $84, $50, $86, $15, $5C, $AC, $40, $36, $29, $05, $00
  .db $41, $00, $F7, $ED, $FF, $FF, $FB, $FF, $57, $FF, $EF, $DF, $DE, $F9, $FF, $3E
  .db $65, $07, $68, $07, $B5, $AA, $56, $92, $06, $CC, $30, $60, $90, $10, $01, $0C
  .db $85, $90, $02, $50, $28, $00, $9B, $05, $20, $8A, $41, $26, $12, $1A, $1F, $27
  .db $75, $49, $CC, $B7, $B7, $01, $6F, $05, $1B, $EC, $72, $18, $88, $20, $51, $28
  .db $81, $04, $AF, $73, $F3, $D2, $FB, $FF, $FF, $EB, $BF, $BB, $DE, $51, $EB, $F3
  .db $6B, $DE, $2C, $34, $71, $F5, $48, $5C, $EA, $35, $44, $4A, $01, $3B, $82, $2E
  .db $46, $00, $43, $5A, $32, $0A, $03, $99, $49, $02, $02, $06, $D8, $78, $AD, $75
  .db $79, $BE, $DC, $EC, $34, $B8, $D4, $C2, $68, $22, $4C, $38, $90, $09, $15, $8A
  .db $8F, $C7, $FF, $FF, $FF, $FE, $DF, $77, $DF, $FF, $FE, $FF, $B7, $B7, $01, $E1
  .db $CD, $79, $F0, $90, $D1, $E0, $6D, $00, $CF, $E6, $86, $C1, $28, $F6, $00, $2A
  .db $8A, $9E, $FB, $F3, $11, $F5, $93, $FE, $D2, $E4, $7E, $8F, $8B, $06, $00, $00
  .db $F7, $B9, $B1, $F0, $7B, $FE, $C8, $0E, $22, $01, $08, $00, $40, $84, $4B, $85
  .db $4F, $8C, $77, $A9, $B7, $FF, $07, $BF, $FF, $FB, $FE, $D7, $B3, $06, $BC, $DF
  .db $4A, $D8, $E3, $41, $D6, $3B, $16, $88, $F9, $B3, $25, $CE, $00, $C0, $4B, $A4
  .db $E0, $E7, $92, $A9, $12, $65, $03, $80, $A6, $DE, $8C, $3D, $0C, $81, $40, $A0
  .db $C0, $A8, $6C, $EF, $5D, $AB, $C1, $38, $2D, $E1, $02, $CD, $EE, $EA, $28, $E9
  .db $7F, $7F, $6F, $4F, $15, $76, $44, $3F, $76, $46, $7A, $76, $57, $68, $FD, $D8
  .db $8E, $99, $0F, $24, $4D, $76, $7E, $61, $14, $BA, $3C, $0D, $DB, $FF, $03, $7C
  .db $C0, $88, $14, $96, $79, $01, $2D, $B3, $6D, $22, $51, $8C, $7E, $EF, $1A, $1E
  .db $01, $00, $00, $B0, $35, $AC, $78, $FB, $EB, $69, $7A, $98, $FC, $96, $2B, $7D
  .db $FF, $BC, $A4, $EC, $A4, $07, $86, $30, $03, $7F, $AF, $F6, $86, $8F, $B8, $CF
  .db $E9, $E3, $82, $EF, $07, $1B, $70, $D1, $1F, $03, $96, $70, $3F, $F0, $CC, $32
  .db $FE, $71, $F9, $37, $CD, $0E, $0C, $0D, $07, $07, $11, $0E, $F8, $32, $1F, $78
  .db $34, $BE, $FE, $87, $3D, $28, $F4, $B9, $8D, $FF, $3E, $81, $60, $DA, $D2, $B7
  .db $B7, $01, $F0, $38, $0E, $B7, $00, $04, $07, $98, $78, $F0, $D0, $C6, $00, $70
  .db $F0, $F0, $86, $D0, $80, $E0, $82, $0B, $3F, $EF, $CA, $4F, $E9, $D7, $DA, $9F
  .db $E7, $6B, $96, $75, $A5, $F7, $A5, $C1, $1B, $18, $00, $87, $BF, $6F, $13, $E7
  .db $73, $63, $09, $67, $45, $91, $68, $84, $41, $00, $E8, $B7, $B7, $01, $88, $DC
  .db $E7, $7B, $ED, $C0, $41, $C1, $B7, $41, $04, $40, $6A, $6E, $7E, $7E, $3D, $3D
  .db $7D, $3D, $3D, $3D, $FD, $7F, $77, $B7, $B7, $01, $F5, $F7, $FF, $CF, $75, $8B
  .db $F4, $29, $86, $DE, $2D, $80, $EB, $DF, $EF, $2E, $C8, $01, $0F, $FF, $FF, $FF
  .db $FB, $FB, $FB, $7B, $97, $35, $BB, $96, $09, $C4, $38, $46, $04, $27, $68, $40
  .db $72, $39, $87, $A0, $B7, $00, $05, $08, $35, $FF, $FF, $FC, $B7, $FF, $08, $DE
  .db $EB, $FF, $BF, $F7, $FF, $FB, $4B, $DB, $2A, $BB, $3A, $5F, $5D, $74, $6C, $49
  .db $FA, $F8, $83, $1F, $B7, $FF, $05, $FD, $F5, $98, $89, $87, $51, $F0, $F1, $9D
  .db $DA, $64, $09, $1E, $19, $D1, $8B, $38, $01, $0A, $36, $01, $09, $02, $03, $07
  .db $17, $F7, $EF, $EF, $EF, $FF, $EF, $FF, $EF, $EE, $EF, $EF, $FF, $1F, $D6, $BF
  .db $FF, $F3, $7F, $BF, $3B, $9C, $E8, $8C, $29, $A7, $B8, $56, $EC, $C0, $07, $3F
  .db $FF, $BF, $FF, $FF, $BF, $BF, $3F, $FF, $71, $1A, $20, $4E, $15, $55, $2F, $39
  .db $8B, $56, $A0, $62, $0B, $C9, $F5, $45, $BC, $C2, $C2, $F0, $1E, $FB, $FF, $FF
  .db $C9, $FF, $FF, $FD, $77, $FF, $FE, $FF, $F0, $87, $83, $E7, $FF, $FF, $FF, $FB
  .db $DD, $FF, $FF, $FE, $9F, $23, $AB, $16, $A2, $17, $18, $41, $0F, $7F, $BF, $FF
  .db $DF, $BF, $DF, $9F, $5F, $F5, $BF, $B8, $64, $62, $B7, $B7, $01, $D8, $8E, $C8
  .db $54, $90, $C8, $AD, $A8, $86, $FA, $6C, $60, $A5, $DD, $6F, $8D, $60, $00, $E0
  .db $78, $95, $FD, $7D, $FD, $FD, $75, $F1, $FD, $80, $B0, $EB, $FF, $BF, $FF, $FF
  .db $DF, $FB, $FF, $BD, $BF, $FE, $7F, $3F, $12, $1B, $E0, $C1, $1F, $7F, $FF, $E7
  .db $FF, $C7, $FF, $EF, $D5, $FD, $FF, $8B, $40, $D9, $D3, $CA, $58, $A5, $38, $DA
  .db $33, $CA, $73, $17, $41, $74, $B3, $87, $5D, $16, $ED, $6E, $10, $00, $00, $01
  .db $74, $78, $63, $7F, $3F, $7F, $6F, $E0, $E0, $FF, $FF, $BF, $FE, $FE, $DD, $FF
  .db $F7, $FB, $EF, $F7, $FF, $FC, $EF, $6E, $B0, $83, $3A, $FF, $F3, $F7, $F7, $E7
  .db $FF, $FA, $FE, $7F, $FE, $FF, $EF, $FD, $0F, $69, $CA, $09, $8A, $D7, $4B, $F6
  .db $F1, $33, $5C, $27, $CC, $D8, $B8, $C9, $F7, $5E, $84, $E0, $2E

back2_2:
;Compressed picture made with BMP2ASM v1.1 by Levi Lansing (puzzlesome@hotmail.com)
;Compressed from 1024 bytes to 900 bytes - 12% compressed!
  .db $00, $00, $48, $80, $00, $01, $20, $AC, $40, $48, $21, $85, $03, $80, $7D, $FF
  .db $E9, $9F, $FF, $E5, $73, $39, $8C, $EF, $F7, $F3, $C9, $9E, $5A, $FD, $AC, $DA
  .db $C9, $A4, $B2, $7D, $3D, $9E, $D2, $4F, $F6, $CA, $BE, $D7, $E3, $39, $5E, $EE
  .db $E3, $6B, $BB, $FD, $DF, $71, $1A, $AE, $71, $1C, $EB, $3C, $D7, $7D, $A2, $B3
  .db $00, $00, $00, $0E, $FE, $BE, $9E, $4E, $53, $41, $0A, $03, $01, $90, $7F, $EB
  .db $F6, $3F, $7A, $F3, $BD, $DB, $E5, $CF, $EF, $F2, $EB, $79, $62, $8C, $F8, $6B
  .db $37, $9C, $4F, $2E, $BF, $FF, $7B, $74, $9E, $EF, $F1, $BA, $1D, $DE, $E3, $37
  .db $FB, $DD, $D7, $71, $1B, $EE, $E9, $9D, $C7, $BA, $AE, $75, $6F, $DD, $67, $BB
  .db $00, $00, $03, $B7, $FF, $06, $7F, $3F, $0F, $23, $1F, $A5, $A4, $78, $FF, $BE
  .db $F9, $F4, $FB, $5B, $97, $6E, $AE, $8C, $9B, $BB, $CE, $BB, $BB, $F7, $5F, $AD
  .db $BC, $EE, $99, $53, $79, $AC, $1A, $8B, $DD, $E2, $37, $BD, $BD, $DF, $EB, $1B
  .db $BE, $F3, $B8, $9F, $75, $8F, $FA, $9B, $DF, $EB, $C5, $63, $F3, $00, $00, $B7
  .db $FF, $0C, $7F, $FF, $9F, $53, $9F, $A8, $CF, $5D, $F9, $F4, $9B, $BB, $DC, $F9
  .db $AE, $EF, $98, $3B, $62, $6F, $E7, $EF, $DF, $DB, $F4, $B2, $F9, $64, $36, $99
  .db $CD, $67, $B3, $D9, $0E, $F6, $E3, $79, $BC, $F2, $3E, $E1, $1C, $6E, $B3, $99
  .db $8C, $C6, $66, $F3, $00, $7B, $B7, $FB, $05, $FF, $FB, $FB, $B7, $FF, $05, $FB
  .db $F9, $F9, $FD, $F9, $FD, $B9, $DE, $DB, $9D, $3E, $C4, $C1, $FA, $EE, $D0, $30
  .db $32, $1B, $43, $AA, $D6, $F9, $91, $69, $BB, $DF, $6F, $B7, $B7, $01, $DB, $EB
  .db $B3, $DA, $E8, $73, $FB, $DF, $E9, $1D, $07, $9C, $CB, $74, $33, $99, $CC, $66
  .db $FB, $7D, $7F, $B7, $FF, $12, $EF, $E2, $EE, $7B, $88, $3F, $AC, $4F, $40, $E9
  .db $1A, $04, $08, $20, $00, $28, $06, $0D, $1E, $BC, $00, $06, $80, $87, $85, $86
  .db $C6, $EF, $F1, $85, $02, $37, $F1, $DD, $FE, $F7, $FF, $9F, $7B, $9D, $7F, $9F
  .db $73, $0E, $93, $B7, $FF, $0B, $B7, $FE, $04, $FC, $FE, $F7, $F7, $E2, $E5, $84
  .db $1C, $50, $E0, $31, $54, $42, $F0, $22, $AB, $AE, $5D, $01, $0D, $12, $7F, $12
  .db $1E, $0E, $C3, $31, $6F, $F5, $FC, $7C, $3F, $1F, $8F, $77, $9F, $F3, $BE, $77
  .db $02, $C3, $83, $5C, $0D, $8C, $CE, $CC, $6E, $C6, $80, $80, $80, $B0, $EA, $81
  .db $BC, $A8, $A6, $BC, $82, $50, $5C, $EC, $5A, $98, $81, $CD, $C7, $92, $3F, $10
  .db $09, $90, $F4, $BD, $37, $5C, $A6, $AF, $4F, $1C, $00, $00, $60, $5A, $C8, $6A
  .db $92, $5E, $D2, $CF, $F6, $99, $9E, $1E, $E4, $E0, $FC, $FC, $FC, $CC, $F8, $DC
  .db $F0, $9D, $F5, $91, $E9, $3E, $EE, $BF, $7B, $9E, $00, $C3, $2B, $13, $1B, $F8
  .db $59, $CF, $DC, $A0, $31, $82, $79, $D8, $83, $2F, $3B, $48, $59, $98, $08, $28
  .db $8F, $1F, $10, $1C, $50, $34, $32, $FA, $C0, $34, $FE, $72, $C0, $76, $0C, $0C
  .db $0C, $0F, $07, $84, $02, $C6, $2D, $ED, $95, $76, $76, $F3, $BB, $14, $3E, $39
  .db $CD, $F1, $DD, $F2, $1E, $DF, $A5, $F7, $B7, $B7, $01, $79, $0F, $C7, $F1, $B7
  .db $FF, $04, $F8, $67, $87, $8F, $0F, $D9, $9F, $8F, $0F, $0F, $79, $2F, $7F, $1F
  .db $7F, $FC, $80, $00, $30, $40, $07, $51, $00, $30, $D6, $A0, $06, $E2, $29, $C0
  .db $8B, $18, $18, $18, $00, $87, $FF, $FF, $57, $C5, $3B, $2F, $3B, $3D, $23, $5A
  .db $97, $1D, $8E, $A9, $5F, $58, $F7, $39, $CF, $3C, $F3, $01, $80, $00, $B7, $80
  .db $05, $AA, $AE, $BE, $BE, $B7, $BF, $06, $7F, $FF, $FF, $78, $02, $00, $00, $05
  .db $12, $04, $20, $61, $17, $06, $21, $08, $D0, $17, $24, $02, $D0, $81, $0B, $B7
  .db $FB, $07, $BF, $AF, $5C, $77, $F5, $FA, $C7, $BA, $E3, $18, $D7, $7C, $E1, $8E
  .db $7A, $C7, $B7, $00, $05, $08, $35, $B7, $FF, $0C, $FC, $80, $B7, $00, $04, $21
  .db $20, $25, $82, $88, $41, $90, $00, $94, $65, $02, $00, $03, $1F, $B7, $FF, $08
  .db $FC, $F8, $A2, $19, $88, $40, $F0, $6C, $FB, $77, $E9, $4E, $72, $D7, $3D, $F9
  .db $AF, $00, $02, $01, $00, $00, $10, $F0, $B7, $F8, $04, $B7, $E8, $05, $E0, $F0
  .db $E0, $08, $B7, $00, $05, $8C, $20, $70, $03, $40, $68, $88, $49, $80, $00, $00
  .db $20, $E0, $B7, $A0, $04, $80, $80, $C0, $CE, $81, $95, $B3, $C0, $28, $44, $64
  .db $85, $29, $00, $9D, $40, $DA, $B8, $CE, $77, $EF, $75, $0F, $01, $00, $00, $00
  .db $0A, $00, $00, $02, $08, $00, $01, $B7, $00, $0C, $01, $00, $46, $00, $02, $18
  .db $04, $04, $40, $B7, $00, $09, $02, $06, $60, $00, $51, $80, $01, $C0, $87, $03
  .db $44, $02, $02, $A7, $20, $00, $38, $0A, $11, $CA, $80, $75, $F0, $F8, $18, $E0
  .db $02, $02, $82, $02, $02, $8A, $0E, $B7, $00, $0F, $03, $50, $00, $10, $80, $B7
  .db $00, $0B, $60, $0C, $20, $26, $30, $02, $08, $04, $00, $C8, $07, $06, $00, $B4
  .db $08, $0E, $00, $C0, $00, $10, $12, $0C, $00, $00, $01, $87, $8F, $0E, $B7, $00
  .db $0F, $10, $B7, $00, $04, $02, $58, $03, $01, $07, $07, $04, $B7, $00, $0A, $08
  .db $00, $00, $04, $08, $41, $91, $80, $0E, $30, $00, $74, $00, $A0, $80, $16, $A8
  .db $09, $11, $04, $36

back2_3:
;Compressed picture made with BMP2ASM v1.1 by Levi Lansing (puzzlesome@hotmail.com)
;Compressed from 1024 bytes to 805 bytes - 21% compressed!
  .db $FF, $FF, $F7, $B7, $FF, $04, $F3, $B7, $FF, $06, $DB, $B6, $7F, $FB, $DC, $3F
  .db $DE, $EF, $F7, $DB, $6D, $BE, $FF, $F9, $FF, $6F, $F7, $FF, $7F, $FF, $FF, $DB
  .db $EF, $F7, $FF, $FB, $69, $3D, $DF, $EF, $FF, $FF, $BD, $DF, $FF, $F7, $7D, $9E
  .db $EF, $FF, $FD, $DF, $FF, $FF, $F7, $FF, $EF, $FA, $DF, $7F, $FF, $FF, $FF, $F1
  .db $01, $41, $E1, $F1, $FD, $FE, $B7, $FF, $04, $6D, $DB, $BF, $F1, $AA, $5F, $FF
  .db $7E, $BD, $7A, $BD, $DF, $5D, $BF, $FF, $7F, $9F, $D7, $EE, $F7, $F9, $FD, $F6
  .db $DB, $EC, $8F, $EF, $F7, $7F, $7D, $FE, $EF, $FF, $FB, $3D, $BE, $EF, $FF, $FD
  .db $DF, $F7, $7E, $FF, $7D, $DF, $FB, $9D, $EE, $FE, $77, $FF, $FF, $FC, $B7, $00
  .db $06, $80, $C0, $F0, $FC, $F8, $FE, $7F, $E7, $55, $AB, $FE, $57, $AF, $FE, $FD
  .db $F9, $77, $FF, $FD, $77, $FD, $DD, $77, $EE, $EE, $DE, $DF, $DF, $66, $BF, $DF
  .db $7F, $F7, $FF, $EF, $FF, $FB, $7B, $DE, $EF, $F7, $FD, $DF, $EF, $7F, $EF, $FB
  .db $FE, $E7, $77, $BB, $DD, $FE, $FE, $7F, $FF, $FF, $B7, $00, $0C, $80, $80, $E0
  .db $FC, $F5, $FF, $7A, $F7, $AF, $6F, $FD, $77, $EF, $DF, $77, $DD, $FF, $F7, $FF
  .db $F7, $FF, $F1, $36, $FF, $6F, $FF, $DF, $B7, $FF, $08, $BF, $FF, $FF, $DF, $FF
  .db $FD, $DF, $EF, $F7, $7F, $B7, $FF, $04, $7F, $FF, $84, $B7, $04, $08, $B7, $00
  .db $06, $B7, $02, $04, $82, $E3, $30, $E8, $FC, $FE, $F4, $B1, $7A, $DE, $B0, $F0
  .db $F3, $FB, $93, $FB, $F7, $69, $F9, $F9, $F3, $B7, $FF, $06, $FE, $FC, $FD, $B7
  .db $FF, $06, $F7, $EF, $FF, $FE, $FF, $FF, $77, $BB, $80, $B7, $00, $11, $02, $07
  .db $1E, $E6, $0C, $8F, $1F, $A1, $70, $7F, $EF, $1A, $00, $00, $1F, $FF, $FF, $F7
  .db $F9, $FD, $FF, $F9, $FE, $FC, $FC, $FD, $FF, $FF, $FE, $F0, $7F, $B7, $FF, $0A
  .db $FB, $B7, $FF, $04, $B7, $00, $0E, $01, $03, $04, $0D, $0F, $98, $3A, $FC, $DC
  .db $E0, $B0, $E0, $75, $41, $8F, $3D, $54, $5F, $BF, $FE, $FF, $FF, $6D, $FF, $FD
  .db $FF, $FD, $3F, $0F, $C5, $F0, $B7, $FF, $0A, $F7, $F7, $87, $F7, $F3, $F1, $F7
  .db $F7, $B7, $FF, $05, $DF, $FF, $FB, $FE, $F3, $FD, $FF, $6F, $A2, $62, $E4, $A5
  .db $3A, $58, $5F, $86, $20, $63, $77, $E7, $F3, $EC, $D8, $B4, $1D, $10, $B0, $A3
  .db $BF, $FF, $BF, $EC, $B6, $FD, $FF, $ED, $BF, $FD, $BF, $9F, $77, $F9, $B7, $FF
  .db $09, $FE, $FE, $F0, $F8, $FF, $7F, $7F, $FB, $B7, $FF, $04, $DF, $EF, $FF, $FF
  .db $FF, $DF, $FF, $3C, $9A, $F9, $0E, $44, $F4, $38, $37, $3F, $E9, $F3, $FB, $FF
  .db $EF, $EF, $1F, $3F, $DF, $CD, $0D, $3F, $CF, $01, $8D, $37, $19, $F3, $F3, $F3
  .db $F2, $F8, $FB, $FD, $B9, $F7, $CB, $E3, $8F, $89, $0D, $4D, $F9, $DB, $FF, $3E
  .db $7E, $7E, $7F, $BF, $91, $CD, $69, $DF, $B7, $FF, $0B, $7F, $1F, $5F, $3F, $3F
  .db $7F, $B7, $FF, $0A, $BF, $FE, $AE, $FF, $CF, $39, $DF, $F9, $1F, $D6, $3F, $7C
  .db $E7, $E7, $E7, $FF, $78, $40, $90, $AC, $FA, $FC, $DE, $F7, $DE, $FF, $FD, $EF
  .db $FB, $B7, $FF, $11, $D5, $D1, $C1, $C1, $B7, $C0, $06, $80, $80, $80, $87, $FF
  .db $FF, $FF, $FA, $EF, $FF, $DF, $DE, $F9, $F9, $DE, $FF, $3F, $E8, $DB, $FD, $3F
  .db $FE, $F4, $B7, $04, $06, $84, $60, $D0, $E7, $B9, $EE, $3D, $EF, $7D, $FF, $FD
  .db $EF, $BF, $FF, $FF, $FD, $B7, $FF, $06, $F7, $CA, $B7, $00, $0C, $03, $7F, $B7
  .db $FF, $04, $FE, $FF, $DF, $7D, $F7, $BE, $EF, $FF, $FB, $9E, $FD, $FF, $FC, $E0
  .db $B7, $00, $08, $03, $1F, $FF, $EF, $7F, $FF, $2F, $9B, $E6, $B9, $F6, $BF, $FD
  .db $EF, $FE, $F7, $DF, $B7, $FF, $05, $EF, $0F, $B7, $07, $04, $B7, $17, $05, $1F
  .db $0F, $1F, $B7, $FF, $06, $F7, $FF, $9F, $FF, $FF, $DF, $77, $BF, $7F, $FF, $FF
  .db $DF, $1F, $B7, $5F, $04, $7F, $7F, $3F, $3F, $7F, $FF, $FD, $FF, $FF, $FB, $DF
  .db $7E, $B7, $FF, $04, $37, $CF, $B3, $F8, $F0, $8B, $FF, $FF, $87, $80, $80, $B4
  .db $B7, $80, $06, $00, $0F, $B7, $FF, $0C, $FD, $FF, $FD, $F7, $FB, $FF, $BF, $B7
  .db $FF, $0A, $F9, $DF, $FF, $BF, $7F, $FF, $7F, $7F, $B7, $FF, $04, $5F, $FF, $FF
  .db $D7, $FF, $FE, $37, $7F, $9A, $FF, $FF, $FF, $1F, $79, $B7, $01, $06, $03, $7F
  .db $B7, $FF, $0D, $FE, $EF, $FF, $FF, $7F, $B7, $FF, $0E, $FD, $EF, $B7, $FF, $05
  .db $FD, $FD, $FF, $FF, $FF, $FD, $FF, $BF, $FF, $FF, $FD, $FF, $FF, $FF, $FE, $F8
  .db $B7, $F0, $06, $B7, $FF, $10, $FD, $EF, $FF, $FF, $F8, $F8, $FB, $B7, $FF, $0A
  .db $F7, $FF, $FF, $FF, $F7, $BE, $FE, $7F, $FF, $CF, $FF, $DB, $FF, $7F, $7F, $FF
  .db $5F, $F7, $FF, $FF, $D9

back2_4:
;Compressed picture made with BMP2ASM v1.1 by Levi Lansing (puzzlesome@hotmail.com)
;Compressed from 1024 bytes to 224 bytes - 78% compressed!
  .db $B7, $FF, $50, $FB, $B7, $FF, $52, $FE, $B7, $FF, $37, $BF, $B7, $FF, $05, $F7
  .db $B7, $FF, $05, $BF, $B7, $FF, $2D, $FE, $FF, $FF, $FB, $F1, $FB, $EE, $E5, $F1
  .db $FF, $FF, $FC, $F4, $FC, $F4, $F8, $F6, $FE, $FE, $FC, $B7, $F8, $06, $F9, $B7
  .db $FB, $04, $B7, $FF, $1F, $E7, $83, $16, $FC, $7C, $EF, $50, $9F, $80, $10, $E5
  .db $FF, $FF, $E1, $01, $07, $09, $07, $02, $00, $06, $01, $03, $03, $03, $01, $01
  .db $01, $0F, $B7, $FF, $19, $DF, $FF, $FF, $FE, $FF, $FC, $FD, $FB, $FA, $F8, $EF
  .db $C1, $83, $BB, $AF, $8F, $0F, $8B, $3F, $7F, $FF, $FF, $FB, $FF, $FF, $FD, $FF
  .db $FF, $3F, $0F, $07, $03, $C0, $F0, $FA, $B7, $FF, $1C, $F3, $FC, $FF, $86, $EC
  .db $7F, $1F, $7C, $FF, $BC, $A1, $71, $F7, $FF, $FF, $E7, $CF, $D2, $FE, $FB, $B7
  .db $FF, $0E, $7F, $7F, $B7, $FF, $0B, $F9, $F9, $FF, $F6, $F0, $F1, $F1, $F4, $FF
  .db $FF, $7F, $B7, $FF, $06, $AF, $1F, $3E, $F5, $BE, $0C, $DF, $1B, $C7, $8B, $0B
  .db $11, $FF, $F7, $FF, $FF, $FF, $1F, $DF, $CF, $B7, $FF, $06, $E7, $CF, $3F, $B7
  .db $FF, $07, $9B, $E3, $B7, $FF, $0B, $7F, $3F, $01, $F3, $BF, $6F, $B7, $FF, $0B
  .db $7F, $FF, $7F, $DF, $B7, $FF, $13, $F7, $FF, $F7, $B7, $FF, $FF, $B7, $FF, $9E


back2_5:
;Compressed picture made with BMP2ASM v1.1 by Levi Lansing (puzzlesome@hotmail.com)
;Compressed from 1024 bytes to 70 bytes - 93% compressed!
  .db $B7, $FF, $FF, $B7, $FF, $55, $FD, $F9, $FF, $FF, $DF, $EF, $F0, $B7, $FF, $30
  .db $FE, $B7, $FF, $09, $7F, $B7, $FF, $32, $FD, $FB, $F8, $0F, $1B, $9B, $FC, $FF
  .db $FC, $FF, $FE, $EF, $EF, $EF, $B7, $FF, $34, $DC, $1E, $4D, $FF, $3F, $FF, $07
  .db $77, $F7, $FF, $FB, $FB, $FF, $FF, $FF, $EF, $EF, $B7, $FF, $2F, $7F, $1F, $9F
  .db $B7, $FF, $FF, $B7, $FF, $B5
.end
