_user_int_ram  .equ  $D2FD

.org $D748		;_asm_exec_ram

 call $4AB1			;_runindicoff
 call $49DC			;_flushallmenus
 call $4A82			;_clrScrn
;decompress or copy the picture data for each picture (5 total) to the correct location
 ld de,back3_1
 call decompV
 ld hl,$FC00
 ld de,$CA00
 ld bc,1024
 ldir
 ld de,back3_2
 call decompV
 ld hl,$FC00
 ld de,$F600
 ld bc,1024
 ldir
 ld de,back3_3
 call decompV
 ld hl,$FC00
 ld de,$F200
 ld bc,1024
 ldir
 ld de,back3_4
 call decompV
 ld hl,$FC00
 ld de,$EE00
 ld bc,1024
 ldir
 ld de,back3_5
 call decompV

 res 2,(iy+$23)		;turn user int off so it won't get called by
					;accident before we're ready
clear_int:		;I always clear the interrupt for neatness (mainly for debugging)
 ld hl,$d2fd	;point hl to interrupt RAM
 ld (hl),$5A	;$5A is the standard checksum for a blank interrupt
 inc hl			;point hl one byte forward
 ld (hl),0		;clear the next byte
 ld de,$d2ff	;point de to the byte after hl
 ld bc,198		;we have to clear 198 bytes (of 200) since we already did the 1st & 2nd
 ldir			;clear it out

 ld hl,int				;hl point to the begining of the program
 ld de,_user_int_ram+1	;de pionts to where the program is to be loaded
 ld bc,int_end-int		;bc is the length of the program to be sent
 ldir					;copies it

 ld a,(_user_int_ram+1)			;this sets up checksum byte - 
 ld hl,_user_int_ram+($28*1)	;we need to add the 1st bite with another one
 add a,(hl)						;every 40 bytes and store it in the...
 ld hl,_user_int_ram+($28*2)
 add a,(hl)
 ld hl,_user_int_ram+($28*3)
 add a,(hl)
 ld hl,_user_int_ram+($28*4)
 add a,(hl)
 ld hl,_user_int_ram+($28*5)
 add a,(hl)
 ld (_user_int_ram),a			;first byte of the interrupt area

 set 2,(iy+$23)				;turn on the interrupt
 ld b,10
keyLoop:
 halt
 djnz keyLoop
 ld b,10

 ld a,%10000000
 out (1),a
 in a,(1)
 cp $FF
 jr z,keyLoop

 res 2,(iy+$23)		;turn user int off
 ld a,$3C
 out (0),a
 call $4A82			;_clrScrn
 ret


int:
 push af
 push hl
 ld hl,counter
 dec (hl)
 jr nz,EndIntRoutine
 ld (hl),2
 inc hl
 ld hl,page_number
 ld a,(hl)
 cp 32				;where to put the "use #"
 jr nz,keepgoing
 ld (hl),1
keepgoing:
 ld b,(hl)
 inc (hl)
findpage:
 inc hl
 djnz findpage
 ld a,(Last)
 cp (hl)
 jr z,EndIntRoutine
 ld a,(hl)
 out (0),a
 ld (Last),a
EndIntRoutine:
 pop hl
 pop af
 ret
int_end:


Last:
	.db 0
counter:
	.db 2

page_number:
	.db 1
page_order:
;gray 32 (use 32 & all pics)
	.db $2E,$3C,$3C,$32,$2E,$3C,$3C,$36,$2E,$3C,$3C,$32
	.db $2E,$3C,$0A,$3C,$3C,$2E,$32,$3C,$2E,$3C,$3C,$2E
	.db $36,$3C,$3C,$32,$2E,$3C,$3C

;gray 16 (use 14 & last 4 pics only)
;	.db $3C,$2E,$3C,$32,$3C,$36,$3C,$2E,$3C,$32,$3C,$2E,$3C

;gray 8 (use 8 & last 3 pics only)
;	.db $3C,$2E,$3C,$32,$3C,$2E,$3C

;gray 4 (use 5 & last 2 pics only)
;	.db $3C,$2E,$3C,$2E,$3C



;********************************************************
; -decompresses data that is vertically compressed with
; bmp2asm, by Levi Lansing    (total size=63 bytes)
; -(decompresses data into the video memory - 1024 bytes)
; -de=location of data to decompress
; -destroys- a,b,c,hl,de (points to byte after data)
;********************************************************
decompV:
 ld hl,$FC00        ;point hl to the screen mem
decompLoop:
 ld a,(de)          ;load the first byte of the compressed data
 cp $B7             ;check if it's a marker
 jr nz,DCnorm       ;if it's not, treat it as a normal byte
 inc de             ;if the byte is marked, the next byte tells us the value
 ld a,(de)          ;that is repeated so we
 ld c,a             ;put that in c
 inc de             ;the next byte tells us how many times it's repeated
 ld a,(de)
 ld b,a             ;we will load that into b to be used as a counter
 inc de             ;point to the next byte for later
DCrepeatLoop:
 ld (hl),c          ;put the value in the screen mem once
 push de            ;hide de
 ld de,16
 add hl,de          ;point hl to the next row (16 bytes forward)
 jr nc,DCloop       ;if hl isn't past the end of the screen data ($FFFF), then continue
 ld de,1022         ;if it is, we need to put it back to the next column
 sbc hl,de          ;point hl to the 1st row of the next column
 ld a, l
 cp $10             ;if l is over $10 (16d), it has completed the full screen
 jr c,DCloop        ;jump if it's not over $10 to continue
 pop de             ;restore de again
 ret                ;return from the routine
DCloop:
 pop de             ;restore de
 djnz DCrepeatLoop  ;decrement b and continue loading the same byte down the
                    ;column until b is 0
 jr decompLoop      ;continue with the next byte
DCnorm:
 ld (hl),a          ;load the byte into the screen mem
 inc de             ;point de to the next byte
 push de            ;hide it
 ld de, 16
 add hl,de          ;point hl to the next row (16 bytes forward)
 pop de             ;restore de
 jr nc,decompLoop   ;if hl did not go past $FFFF (it would flip to 0+) then continue
 push de            ;hide de again
 ld de, 1022
 sbc hl,de          ;subtracting 1022 from hl put's it at the 1st row of the next column
 ld a, l
 cp $10             ;check if hl is past the first row (if it is, we finished decompressing)
 pop de             ;restore de again
 jr c,decompLoop    ;if we're not done, keep going...
 ret                ;if we get here, we're done and will return from the routine



back3_1:
;Compressed picture made with BMP2ASM v1.1 by Levi Lansing (puzzlesome@hotmail.com)
;Compressed from 1024 bytes to 1008 bytes - 2% compressed!
  .db $25, $9F, $7F, $FF, $FF, $FB, $7F, $7D, $F9, $B3, $26, $22, $49, $86, $06, $00
  .db $00, $00, $07, $20, $18, $5E, $A7, $4F, $0F, $1F, $5F, $5F, $FF, $FF, $FF, $BF
  .db $7F, $5F, $0B, $27, $07, $03, $07, $03, $0D, $01, $00, $05, $B7, $00, $0C, $01
  .db $01, $03, $03, $02, $42, $1E, $F4, $FF, $7F, $F7, $7E, $DE, $7F, $FF, $7F, $B7
  .db $B7, $01, $85, $02, $BB, $D9, $92, $38, $1A, $DE, $10, $D6, $29, $83, $C6, $05
  .db $00, $42, $C1, $47, $E3, $E2, $F0, $E2, $E2, $F1, $61, $B5, $E5, $F3, $EB, $EB
  .db $CB, $C3, $96, $96, $06, $0C, $2C, $2C, $0C, $5C, $5C, $58, $18, $98, $98, $90
  .db $B0, $30, $30, $60, $60, $60, $48, $C0, $CC, $17, $C6, $EE, $FF, $B7, $B7, $01
  .db $5F, $C7, $8F, $69, $D9, $DF, $57, $14, $24, $E5, $63, $6F, $7F, $1C, $D8, $D5
  .db $BF, $BF, $AE, $24, $69, $6D, $4E, $CD, $DA, $D0, $87, $80, $81, $85, $83, $00
  .db $00, $01, $01, $00, $00, $02, $02, $00, $04, $04, $04, $00, $00, $08, $08, $08
  .db $00, $00, $00, $11, $00, $00, $00, $21, $01, $01, $01, $FE, $DC, $FA, $D9, $E6
  .db $56, $5A, $4A, $4A, $5E, $B3, $AE, $9B, $87, $72, $F0, $C0, $E0, $60, $00, $C1
  .db $9D, $BF, $33, $C7, $F7, $36, $47, $04, $39, $AB, $DE, $D9, $C5, $7F, $63, $32
  .db $60, $60, $23, $22, $66, $32, $30, $30, $39, $3F, $3B, $38, $2C, $40, $3E, $1F
  .db $A1, $4E, $7C, $62, $C9, $F1, $E2, $E5, $F9, $D0, $C0, $45, $42, $72, $3D, $CF
  .db $BE, $61, $0E, $57, $69, $95, $1C, $9E, $C9, $CC, $8E, $29, $54, $3B, $C9, $E2
  .db $D4, $92, $03, $FB, $3E, $12, $0E, $16, $63, $81, $A0, $83, $17, $EF, $C1, $F9
  .db $AB, $E0, $AC, $7F, $7F, $FE, $FC, $00, $FC, $F3, $0E, $D3, $14, $35, $73, $C7
  .db $0F, $BE, $04, $00, $1C, $0F, $8F, $A1, $80, $E6, $9D, $D8, $20, $90, $00, $40
  .db $38, $48, $40, $F1, $BD, $B3, $80, $00, $00, $01, $00, $01, $30, $46, $FC, $83
  .db $83, $5B, $B9, $E3, $DA, $B4, $00, $39, $CD, $A3, $F8, $F3, $F8, $38, $8E, $37
  .db $8F, $13, $11, $92, $96, $20, $2D, $39, $71, $F3, $67, $A7, $CF, $8F, $DF, $5F
  .db $DF, $1F, $3F, $1F, $1E, $BB, $CF, $FB, $3E, $0D, $A1, $20, $10, $08, $04, $03
  .db $01, $00, $C0, $58, $D8, $F0, $F6, $12, $08, $01, $83, $D7, $C8, $58, $FC, $2E
  .db $9B, $E7, $C8, $68, $19, $4F, $A7, $9C, $CF, $C6, $3A, $30, $2A, $7F, $4F, $46
  .db $07, $08, $2E, $07, $9F, $B9, $9F, $CD, $B6, $AB, $DF, $FF, $FF, $B7, $7F, $06
  .db $6F, $7F, $FF, $6B, $5F, $D7, $37, $1F, $05, $B7, $06, $04, $86, $44, $24, $14
  .db $0F, $06, $0E, $35, $C6, $76, $46, $76, $19, $11, $00, $80, $03, $B1, $F1, $E7
  .db $0E, $EA, $4D, $21, $1E, $28, $CD, $52, $E1, $20, $80, $70, $84, $C5, $8E, $82
  .db $F5, $3D, $09, $72, $23, $60, $E7, $FB, $FD, $FE, $F7, $B7, $FF, $05, $FD, $B7
  .db $FF, $06, $09, $1A, $09, $01, $05, $09, $32, $61, $81, $01, $00, $07, $02, $82
  .db $64, $0C, $00, $01, $C0, $B7, $B7, $01, $5B, $7E, $24, $60, $D2, $9C, $EF, $B7
  .db $B7, $01, $0D, $E9, $3D, $DF, $44, $71, $19, $88, $DC, $10, $2C, $78, $04, $8C
  .db $18, $78, $05, $E1, $EA, $02, $23, $63, $03, $E9, $39, $1C, $E4, $B8, $6C, $14
  .db $70, $74, $78, $FC, $F8, $F8, $F7, $24, $D6, $51, $B1, $63, $0B, $7F, $75, $35
  .db $E1, $66, $B3, $D5, $AB, $2D, $BE, $66, $76, $C8, $9E, $E7, $DA, $F9, $C8, $05
  .db $3F, $D8, $03, $22, $CD, $8E, $30, $00, $DC, $F7, $78, $3C, $1C, $0E, $A2, $00
  .db $67, $F9, $BA, $58, $68, $B1, $82, $03, $83, $87, $C7, $27, $A6, $8C, $8C, $D3
  .db $DA, $F0, $B0, $D9, $FB, $FC, $95, $A3, $56, $7C, $A8, $30, $F1, $E3, $C1, $41
  .db $26, $6F, $6B, $51, $38, $3F, $2E, $5D, $36, $67, $E9, $CB, $C1, $48, $DD, $57
  .db $00, $56, $C6, $CE, $81, $FE, $49, $59, $03, $87, $C4, $64, $70, $BB, $4C, $1C
  .db $57, $4C, $F0, $38, $15, $D2, $F1, $E7, $D1, $C4, $C5, $B8, $80, $7C, $20, $A0
  .db $84, $CC, $5B, $A6, $05, $8F, $8E, $B0, $C0, $26, $3B, $3F, $DC, $32, $82, $AF
  .db $DE, $03, $8C, $B2, $97, $ED, $99, $46, $F5, $B2, $5E, $C6, $59, $2D, $FD, $ED
  .db $83, $A1, $81, $68, $4E, $75, $E3, $E2, $92, $3B, $7B, $38, $06, $F1, $89, $0B
  .db $EA, $CB, $E3, $39, $03, $73, $B9, $9C, $CF, $47, $E6, $A4, $59, $DC, $5C, $63
  .db $6E, $6A, $60, $7F, $FF, $78, $37, $62, $C3, $C7, $8D, $19, $27, $B4, $0C, $6D
  .db $DD, $32, $3C, $9C, $D4, $98, $F5, $4B, $7C, $25, $35, $5D, $A1, $BA, $93, $C7
  .db $05, $4D, $5B, $BC, $62, $ED, $D7, $3D, $7F, $65, $9C, $74, $50, $E0, $81, $C5
  .db $23, $94, $CA, $C4, $EF, $21, $FB, $04, $00, $3F, $9B, $3B, $74, $F1, $F6, $82
  .db $3E, $5A, $1A, $9B, $A7, $A0, $21, $E6, $FD, $E3, $8B, $AF, $43, $43, $03, $BF
  .db $FF, $BF, $7F, $1F, $1F, $FF, $FF, $FF, $FE, $FC, $FE, $F7, $47, $9E, $90, $8C
  .db $6F, $5F, $EE, $9E, $A6, $89, $4C, $C0, $E9, $20, $D1, $C4, $B5, $FE, $5F, $44
  .db $5B, $A7, $D6, $53, $E9, $AE, $42, $82, $4F, $30, $A2, $7E, $77, $01, $0F, $FF
  .db $F9, $E7, $CF, $F8, $FF, $2F, $B7, $FF, $09, $FE, $FC, $FF, $FC, $F7, $F2, $C0
  .db $81, $C0, $98, $68, $90, $0E, $48, $84, $00, $91, $37, $86, $27, $F5, $FA, $74
  .db $D2, $94, $9F, $30, $49, $84, $28, $FF, $6F, $E9, $5E, $C6, $65, $4D, $84, $C8
  .db $AE, $DB, $4F, $7A, $73, $D7, $33, $C3, $FC, $A7, $8F, $F8, $E7, $3F, $E7, $E9
  .db $FE, $FC, $FC, $F8, $F7, $F4, $D4, $E4, $01, $04, $24, $48, $40, $CA, $20, $81
  .db $0C, $0E, $05, $12, $04, $7F, $11, $6A, $64, $BB, $16, $28, $22, $0C, $52, $04
  .db $18, $20, $48, $86, $8E, $2D, $D3, $06, $12, $B5, $D6, $6A, $95, $E6, $C4, $95
  .db $F7, $98, $5E, $20, $C5, $77, $F8, $FA, $03, $91, $FD, $39, $F2, $CC, $0E, $81


back3_2:
;Compressed picture made with BMP2ASM v1.1 by Levi Lansing (puzzlesome@hotmail.com)
;Compressed from 1024 bytes to 947 bytes - 8% compressed!
  .db $83, $00, $00, $00, $40, $04, $00, $05, $00, $0C, $DA, $DD, $BF, $7B, $FB, $FF
  .db $FF, $FF, $F8, $DC, $E0, $81, $18, $B0, $F0, $E0, $A0, $A0, $00, $00, $00, $40
  .db $80, $A0, $F4, $D8, $F8, $FC, $F8, $FC, $F2, $FE, $FF, $FA, $B7, $FF, $0C, $FE
  .db $FE, $FE, $FC, $FC, $BC, $FC, $F8, $80, $80, $B7, $00, $04, $84, $82, $0A, $F2
  .db $FD, $BF, $E0, $EC, $C2, $E2, $21, $EF, $0E, $18, $60, $21, $C3, $C6, $82, $00
  .db $84, $1C, $1C, $0E, $1C, $1C, $0D, $9D, $49, $19, $0B, $13, $13, $33, $33, $67
  .db $67, $E7, $EF, $CF, $CF, $CF, $B7, $9F, $04, $1F, $1F, $1F, $3F, $3F, $3F, $B7
  .db $7F, $04, $FF, $FF, $04, $08, $08, $08, $00, $60, $F8, $F0, $92, $06, $00, $A0
  .db $E3, $23, $68, $CC, $4C, $18, $5B, $9F, $9F, $BF, $3F, $3E, $37, $7E, $75, $76
  .db $F6, $E6, $E0, $F8, $B7, $FF, $0D, $FB, $B7, $FF, $04, $F7, $B7, $FF, $04, $EE
  .db $B7, $FF, $08, $77, $77, $43, $42, $A1, $CF, $C6, $C7, $C6, $C7, $6F, $66, $49
  .db $BF, $FF, $3F, $3F, $1F, $9F, $FF, $FF, $FE, $A0, $CF, $21, $4B, $3F, $77, $05
  .db $3B, $AF, $5E, $FD, $FF, $FF, $FF, $BF, $FF, $FF, $FC, $FD, $F9, $FD, $B7, $FF
  .db $06, $E8, $FF, $90, $F3, $57, $61, $FF, $1D, $3E, $38, $88, $D2, $E9, $C1, $F5
  .db $89, $8B, $BB, $31, $A6, $92, $84, $6A, $CE, $68, $08, $20, $9C, $3F, $77, $74
  .db $D2, $87, $C2, $F1, $64, $E8, $53, $6C, $87, $DD, $FF, $F0, $F0, $DE, $FF, $DF
  .db $FC, $E8, $F0, $F8, $C9, $AF, $FF, $D3, $80, $80, $01, $03, $FF, $FF, $F3, $0E
  .db $33, $CC, $F3, $F0, $C0, $00, $C0, $F8, $FC, $BF, $5F, $93, $9D, $06, $2E, $96
  .db $8F, $AF, $3F, $BF, $7F, $47, $86, $FF, $FE, $BF, $BF, $BF, $B7, $FF, $04, $7C
  .db $FB, $CC, $B3, $1C, $2F, $BC, $28, $8F, $20, $36, $1F, $0F, $30, $DC, $07, $0C
  .db $07, $CB, $7F, $D7, $EF, $FB, $F1, $75, $77, $E3, $EF, $FF, $FF, $FF, $7F, $BF
  .db $FF, $BF, $FF, $FF, $7F, $7F, $FF, $FF, $FF, $FB, $FF, $FC, $3E, $0D, $D3, $DF
  .db $EF, $F7, $FB, $FC, $FE, $7F, $1F, $6F, $93, $EB, $F6, $F3, $F8, $F8, $FD, $78
  .db $1F, $2B, $89, $FF, $B8, $E0, $87, $C7, $1F, $B3, $BE, $E2, $1F, $34, $C0, $F3
  .db $C2, $E8, $F7, $CF, $E8, $DE, $C0, $A8, $D1, $95, $C1, $EC, $EA, $DD, $E0, $C0
  .db $B7, $80, $07, $90, $80, $80, $94, $A0, $28, $C8, $E0, $FA, $B7, $F9, $04, $79
  .db $BB, $DB, $EB, $F0, $F9, $F1, $CA, $79, $89, $79, $09, $17, $DF, $E7, $63, $33
  .db $31, $01, $14, $E7, $18, $43, $5F, $81, $46, $A5, $82, $78, $E2, $D9, $51, $46
  .db $85, $8F, $8A, $7E, $05, $06, $23, $01, $A3, $04, $B7, $00, $10, $EF, $FE, $FC
  .db $FF, $FB, $F7, $CE, $9F, $7F, $FF, $FF, $FF, $FE, $7F, $9D, $FF, $F8, $FD, $FA
  .db $B0, $D4, $CA, $68, $39, $23, $D2, $FE, $0D, $5E, $81, $84, $33, $85, $81, $E1
  .db $F0, $80, $68, $60, $E6, $BB, $DC, $79, $3F, $FF, $9F, $FF, $FF, $03, $03, $03
  .db $B7, $01, $0D, $87, $17, $50, $DF, $5F, $1F, $47, $47, $73, $52, $10, $92, $6C
  .db $37, $6B, $85, $7F, $01, $11, $01, $79, $46, $3F, $13, $C1, $11, $CA, $32, $1B
  .db $11, $35, $19, $C3, $28, $F4, $E6, $71, $38, $1E, $0F, $22, $00, $64, $B8, $2A
  .db $FD, $71, $E8, $08, $80, $00, $00, $00, $80, $00, $01, $04, $07, $1B, $B7, $00
  .db $05, $9E, $AC, $28, $EF, $90, $80, $C0, $80, $BE, $00, $20, $60, $63, $CA, $FF
  .db $F2, $F0, $DD, $E3, $C5, $C5, $0E, $98, $D7, $0C, $22, $0A, $81, $DE, $9A, $E0
  .db $30, $3B, $FF, $1A, $81, $90, $D0, $47, $58, $70, $C0, $11, $80, $84, $82, $E9
  .db $34, $0A, $04, $12, $29, $52, $F3, $95, $C8, $70, $A0, $C0, $C0, $B7, $00, $04
  .db $43, $73, $27, $D9, $10, $38, $5B, $37, $47, $61, $4A, $19, $B6, $78, $A8, $9D
  .db $91, $50, $F9, $2C, $E1, $08, $EA, $F6, $84, $3C, $C2, $19, $C1, $CF, $97, $B1
  .db $F3, $7D, $25, $06, $BE, $79, $FA, $07, $10, $32, $F2, $F0, $FF, $39, $03, $03
  .db $80, $80, $40, $80, $50, $6C, $CC, $16, $18, $1C, $10, $1C, $00, $1F, $1F, $18
  .db $FB, $FF, $EB, $F7, $3F, $F6, $DF, $7F, $BF, $FC, $C8, $FF, $F3, $76, $34, $E0
  .db $D4, $48, $CC, $A2, $30, $83, $9C, $F8, $36, $5F, $91, $CF, $9C, $D0, $A0, $1B
  .db $CA, $FC, $5F, $DC, $F8, $6B, $8B, $1D, $A4, $97, $8F, $86, $C2, $A0, $E4, $24
  .db $66, $BC, $F8, $FC, $78, $F8, $F3, $F0, $CF, $0F, $FF, $97, $C6, $56, $43, $53
  .db $1A, $FE, $E6, $F4, $EC, $C8, $F0, $E0, $60, $C0, $B7, $00, $09, $01, $81, $0A
  .db $B1, $69, $69, $8D, $6F, $CF, $AD, $B2, $BE, $69, $5E, $DC, $CE, $94, $74, $C3
  .db $D0, $BE, $B5, $0B, $64, $E8, $57, $3F, $7A, $B3, $5C, $E6, $40, $3F, $DD, $80
  .db $8F, $FE, $F0, $00, $81, $07, $F0, $FB, $00, $E0, $B7, $00, $0A, $03, $03, $05
  .db $06, $0F, $31, $56, $6F, $E7, $F7, $6F, $D9, $7F, $6F, $FF, $FB, $C7, $C6, $6F
  .db $FB, $EF, $55, $2F, $FF, $3F, $7B, $E1, $FF, $FF, $7E, $FF, $85, $BB, $C0, $EE
  .db $A8, $73, $7A, $DD, $73, $B0, $DF, $DF, $58, $78, $1C, $0F, $17, $C0, $FF, $18
  .db $E8, $08, $01, $01, $03, $03, $05, $07, $1F, $3B, $3F, $2E, $EB, $FB, $FA, $3E
  .db $EC, $EB, $76, $FD, $5E, $FF, $F7, $6F, $E7, $FD, $E7, $FF, $24, $EF, $BE, $4F
  .db $E7, $CF, $A7, $F9, $FB, $00, $FD, $3F, $52, $EE, $E5, $F5, $3F, $AF, $FD, $7F
  .db $CF, $BD, $8F, $DD, $84, $6E, $EF, $FD, $8D, $04, $07, $FC, $BE, $00, $80, $02
  .db $0E, $0E, $FE

back3_3:
;Compressed picture made with BMP2ASM v1.1 by Levi Lansing (puzzlesome@hotmail.com)
;Compressed from 1024 bytes to 847 bytes - 17% compressed!
  .db $7E, $FF, $FF, $FF, $BF, $FF, $FF, $FD, $F9, $F3, $26, $24, $08, $04, $04, $B7
  .db $00, $29, $01, $01, $01, $B7, $03, $04, $F7, $7E, $B7, $FF, $05, $FB, $FD, $F5
  .db $8D, $02, $40, $07, $07, $03, $03, $10, $10, $01, $06, $1C, $18, $39, $38, $3E
  .db $3C, $3D, $01, $01, $03, $03, $03, $02, $06, $06, $06, $04, $0C, $0C, $0C, $1C
  .db $18, $18, $18, $10, $30, $30, $30, $B7, $60, $04, $E0, $E0, $E0, $C0, $C0, $C0
  .db $B7, $80, $04, $00, $00, $07, $CF, $EF, $FF, $F7, $7F, $B7, $FF, $07, $3F, $50
  .db $70, $F0, $20, $E0, $E0, $E0, $40, $C0, $C1, $C8, $80, $82, $81, $01, $01, $0F
  .db $07, $B7, $00, $16, $01, $10, $B7, $00, $08, $87, $87, $83, $83, $9F, $C1, $C1
  .db $C1, $C0, $C0, $E0, $E1, $C6, $80, $B7, $00, $08, $40, $00, $1E, $30, $C0, $88
  .db $FB, $C7, $57, $A6, $B7, $00, $04, $40, $B7, $00, $0D, $38, $77, $77, $F1, $00
  .db $00, $FF, $FF, $F8, $67, $2C, $11, $21, $07, $F1, $F3, $C3, $C1, $E7, $72, $70
  .db $FA, $DE, $68, $00, $C0, $60, $30, $78, $7B, $3F, $3B, $1D, $1F, $67, $0F, $63
  .db $F0, $17, $00, $00, $70, $F0, $C0, $80, $80, $B7, $00, $04, $06, $50, $B7, $00
  .db $08, $0C, $F1, $0C, $03, $70, $F0, $C0, $00, $40, $F8, $FC, $9F, $2F, $53, $B9
  .db $E0, $E4, $80, $F0, $D0, $C0, $C0, $80, $80, $01, $01, $00, $40, $40, $40, $B7
  .db $00, $04, $83, $C7, $F3, $FF, $9B, $8C, $DF, $38, $8E, $03, $33, $1F, $0F, $B7
  .db $00, $05, $04, $00, $08, $10, $04, $0E, $0A, $08, $1C, $10, $00, $00, $00, $80
  .db $40, $00, $40, $B7, $00, $07, $C4, $F0, $FC, $3E, $0C, $E0, $B7, $00, $06, $80
  .db $E0, $70, $1C, $0C, $05, $0C, $06, $06, $02, $81, $E0, $F4, $FE, $FF, $78, $00
  .db $F0, $78, $DC, $FC, $BF, $00, $60, $3B, $78, $33, $02, $00, $08, $3F, $2F, $0F
  .db $2F, $2F, $5F, $1F, $5F, $4D, $3F, $3D, $B7, $00, $1D, $80, $A0, $F0, $70, $80
  .db $E0, $20, $18, $9C, $2C, $3E, $00, $08, $1E, $F8, $C0, $40, $00, $81, $F2, $DE
  .db $5E, $58, $66, $E9, $F8, $FE, $F7, $FD, $8F, $FA, $EF, $DC, $FF, $FD, $1B, $B7
  .db $00, $10, $1F, $0E, $03, $00, $00, $00, $01, $B7, $00, $05, $01, $01, $03, $03
  .db $07, $02, $05, $4F, $2F, $39, $EE, $E1, $E3, $50, $38, $7C, $FD, $08, $24, $CF
  .db $7C, $F1, $E1, $70, $F0, $80, $68, $CE, $60, $E2, $C6, $44, $88, $E8, $10, $1D
  .db $02, $02, $02, $B7, $00, $0D, $88, $08, $CF, $B7, $C0, $05, $F0, $F1, $F0, $F1
  .db $E1, $F0, $E8, $E2, $F8, $E0, $30, $40, $F0, $66, $19, $1E, $CE, $1E, $0C, $CC
  .db $FB, $F4, $4A, $E0, $F0, $38, $FC, $FA, $7F, $3F, $1F, $0F, $A2, $20, $65, $18
  .db $44, $88, $8E, $17, $B7, $07, $07, $0E, $0B, $08, $04, $0F, $B7, $00, $04, $7F
  .db $5F, $FF, $1F, $7F, $7F, $3F, $7F, $7F, $FF, $DE, $9E, $9F, $38, $07, $0D, $09
  .db $3B, $19, $3B, $3D, $60, $78, $DD, $2D, $23, $0C, $98, $DC, $36, $27, $51, $C1
  .db $84, $1A, $87, $89, $D2, $CF, $8F, $DF, $3F, $EE, $BF, $FA, $3C, $3E, $F7, $E3
  .db $F0, $E8, $D0, $A8, $44, $6A, $14, $88, $50, $20, $B7, $00, $05, $C4, $FC, $E8
  .db $E0, $F7, $F8, $D8, $B0, $00, $1D, $45, $05, $8F, $1B, $90, $A5, $81, $60, $81
  .db $40, $01, $86, $0C, $2D, $D4, $7E, $81, $70, $C0, $CE, $8D, $34, $C8, $44, $C2
  .db $7C, $62, $E6, $E3, $FF, $FF, $FD, $5D, $F7, $FD, $39, $00, $80, $83, $81, $61
  .db $33, $AF, $73, $93, $59, $1F, $1C, $00, $1F, $00, $1F, $9F, $18, $04, $0C, $1C
  .db $18, $F0, $0F, $60, $C0, $C1, $83, $3D, $04, $EC, $F9, $23, $C7, $D3, $47, $C3
  .db $A1, $30, $03, $A0, $C5, $AC, $32, $73, $79, $63, $EB, $B3, $E6, $F1, $4B, $40
  .db $E3, $5A, $DF, $EF, $67, $A3, $9D, $8E, $87, $C2, $F0, $1C, $DC, $FE, $BC, $F8
  .db $FC, $F8, $F8, $F1, $F0, $E0, $90, $60, $D0, $01, $10, $00, $00, $FB, $09, $19
  .db $1B, $33, $77, $0F, $9F, $9F, $3F, $B7, $FF, $09, $FC, $7E, $75, $02, $09, $00
  .db $8C, $DF, $BF, $DC, $D8, $CA, $F7, $44, $4B, $51, $F3, $F2, $F4, $EF, $BD, $92
  .db $B4, $78, $C0, $54, $3A, $40, $80, $07, $89, $5F, $00, $80, $FF, $B7, $00, $04
  .db $7E, $07, $00, $F8, $00, $1F, $B7, $FF, $0A, $FC, $FC, $FB, $F9, $F0, $EA, $E9
  .db $92, $3C, $C8, $90, $26, $E0, $90, $00, $06, $38, $79, $11, $82, $84, $0B, $70
  .db $61, $C0, $8C, $2E, $21, $42, $81, $10, $3F, $44, $37, $11, $5D, $8C, $17, $22
  .db $8C, $0F, $20, $20, $20, $07, $20, $20, $07, $10, $E0, $10, $17, $10, $FE, $FE
  .db $FC, $FC, $FE, $F1, $FA, $E4, $D8, $D1, $1E, $04, $0F, $51, $33, $4C, $89, $01
  .db $E5, $08, $08, $F0, $19, $02, $1C, $18, $5F, $E1, $C3, $74, $18, $30, $B9, $86
  .db $0C, $EF, $21, $C0, $8F, $11, $F9, $8E, $C8, $31, $C2, $88, $11, $42, $E8, $22
  .db $7F, $91, $10, $02, $02, $F3, $00, $02, $80, $01, $7F, $03, $F1, $0F, $00

back3_4:
;Compressed picture made with BMP2ASM v1.1 by Levi Lansing (puzzlesome@hotmail.com)
;Compressed from 1024 bytes to 648 bytes - 37% compressed!
  .db $B7, $FF, $07, $F9, $FD, $FF, $FE, $FC, $F8, $F8, $FC, $FE, $B7, $FF, $2F, $0F
  .db $B7, $FF, $06, $7B, $F9, $F1, $91, $02, $04, $00, $00, $04, $04, $2E, $EF, $B7
  .db $FF, $04, $FE, $FF, $FD, $FF, $FB, $B7, $FF, $25, $FB, $F3, $F3, $F7, $FE, $84
  .db $04, $0C, $0C, $08, $08, $18, $18, $5C, $7F, $3F, $3F, $FF, $FF, $7F, $7F, $B7
  .db $FF, $21, $FE, $B7, $FF, $09, $C7, $C7, $C3, $C3, $7F, $3E, $3E, $3E, $3F, $3F
  .db $1F, $1F, $3F, $7F, $B7, $FF, $0E, $FE, $FC, $F8, $F9, $B7, $FF, $11, $F7, $C7
  .db $8F, $0C, $0E, $FF, $FF, $E0, $C0, $C7, $FF, $FF, $FE, $FE, $F8, $FE, $FC, $FC
  .db $FE, $18, $0D, $0F, $05, $21, $97, $FF, $FF, $FF, $C0, $80, $80, $C0, $C0, $E0
  .db $E0, $78, $80, $8C, $8F, $F8, $FF, $FF, $8F, $0F, $3F, $7F, $7F, $B7, $FF, $12
  .db $8F, $0F, $3F, $FF, $BF, $07, $03, $60, $F0, $EC, $46, $1F, $1B, $7F, $B7, $00
  .db $05, $78, $FF, $FF, $FE, $FE, $FC, $F8, $B7, $00, $08, $60, $70, $20, $C7, $71
  .db $FF, $CF, $E1, $F0, $B7, $FF, $1D, $3F, $0F, $03, $C1, $F3, $1F, $B7, $00, $06
  .db $80, $E0, $78, $1C, $0C, $06, $07, $07, $03, $03, $01, $B7, $00, $04, $07, $1F
  .db $0F, $87, $E3, $FF, $BF, $00, $E0, $F8, $F8, $F3, $C2, $E0, $E0, $C0, $D0, $F0
  .db $D0, $D0, $A0, $E0, $A0, $B2, $C0, $C2, $B7, $FF, $11, $B7, $00, $0F, $88, $FE
  .db $FF, $3F, $1F, $1F, $CF, $CF, $FE, $FF, $FF, $F8, $C0, $40, $40, $E0, $F8, $DE
  .db $5E, $02, $00, $02, $B7, $00, $06, $10, $00, $00, $00, $E0, $B7, $FF, $10, $00
  .db $01, $B7, $00, $0F, $80, $C0, $E3, $E5, $C2, $91, $1E, $1C, $AF, $C7, $63, $63
  .db $3F, $25, $C0, $03, $0E, $1E, $0F, $FF, $E7, $6B, $0E, $00, $00, $00, $80, $B7
  .db $00, $04, $FD, $FD, $FD, $B7, $FF, $0D, $7F, $FF, $B7, $3F, $06, $B7, $0F, $04
  .db $1F, $0F, $17, $1F, $07, $1F, $4F, $3F, $87, $59, $09, $00, $10, $E0, $F0, $FC
  .db $FB, $F0, $C0, $00, $0C, $C7, $03, $01, $80, $C0, $E0, $F0, $DD, $3F, $6A, $1F
  .db $01, $09, $03, $07, $F7, $B7, $FF, $19, $FE, $FE, $FF, $F8, $B7, $FF, $06, $FD
  .db $E1, $F9, $5C, $02, $1C, $F0, $E0, $C4, $1A, $07, $10, $01, $01, $FB, $78, $70
  .db $29, $00, $00, $40, $00, $00, $40, $01, $81, $C0, $C8, $FC, $B7, $FF, $0F, $C0
  .db $F0, $E0, $E0, $F0, $F8, $D8, $B0, $00, $00, $44, $05, $8F, $1B, $90, $A6, $86
  .db $47, $8E, $FF, $FE, $F9, $F7, $C3, $23, $7D, $80, $00, $3C, $30, $B2, $4A, $84
  .db $80, $C2, $44, $60, $64, $23, $B7, $00, $06, $C6, $FC, $7C, $7C, $7E, $9E, $CC
  .db $C0, $80, $20, $A0, $B7, $E0, $04, $FF, $E0, $60, $E7, $B7, $00, $0A, $02, $00
  .db $E0, $F1, $23, $C7, $17, $AF, $3F, $5F, $CF, $F8, $FE, $BA, $1D, $C0, $80, $08
  .db $00, $00, $40, $14, $8E, $00, $80, $01, $C6, $C0, $00, $80, $5C, $62, $70, $78
  .db $3D, $0F, $03, $03, $01, $43, $07, $03, $07, $07, $0E, $0F, $1F, $63, $03, $2F
  .db $FF, $EF, $FF, $FF, $04, $00, $01, $03, $03, $07, $0F, $1F, $1F, $3F, $7F, $B7
  .db $FF, $08, $FD, $FF, $FF, $FF, $F7, $FF, $73, $30, $00, $03, $17, $05, $C6, $66
  .db $E4, $68, $88, $08, $08, $00, $5C, $50, $70, $B0, $20, $94, $FA, $80, $00, $80
  .db $60, $BF, $FF, $7F, $7F, $B7, $FF, $05, $F8, $FF, $07, $FF, $FF, $7F, $B7, $FF
  .db $0E, $FB, $B7, $FF, $09, $FE, $FC, $F8, $F0, $60, $B7, $00, $06, $10, $B7, $00
  .db $06, $08, $00, $02, $B7, $00, $04, $B7, $FF, $07, $F8, $FF, $1F, $B7, $FF, $08
  .db $F7, $B7, $FF, $07, $7F, $FF, $EF, $FF, $FD, $FE, $FC, $F8, $F0, $E0, $C0, $80
  .db $B7, $00, $04, $80, $00, $00, $40, $00, $00, $10, $B7, $00, $0F, $80, $B7, $FF
  .db $06, $7F, $FF, $FF, $FD, $FF, $F1, $FF

back3_5:
;Compressed picture made with BMP2ASM v1.1 by Levi Lansing (puzzlesome@hotmail.com)
;Compressed from 1024 bytes to 396 bytes - 61% compressed!
  .db $B7, $FF, $07, $FE, $FE, $FC, $FD, $FB, $F7, $B7, $FF, $32, $F7, $B7, $FF, $07
  .db $7F, $7F, $7F, $B7, $FF, $44, $BF, $B7, $FF, $31, $F8, $F8, $FC, $FC, $FE, $B7
  .db $FF, $09, $FC, $FE, $FE, $B7, $FF, $2F, $B7, $00, $04, $F8, $B7, $FF, $08, $B7
  .db $00, $07, $80, $F0, $F0, $F0, $EF, $B7, $FF, $27, $B7, $00, $05, $78, $FE, $FE
  .db $FF, $FF, $FF, $F9, $B7, $00, $0C, $80, $E0, $F8, $FE, $B7, $FF, $24, $B7, $00
  .db $08, $80, $E0, $F0, $FB, $FF, $3F, $07, $03, $01, $B7, $00, $0A, $40, $FF, $9F
  .db $C7, $87, $CC, $FD, $B7, $FF, $1E, $B7, $00, $0C, $80, $E0, $F0, $F8, $FE, $FF
  .db $3F, $1F, $1F, $0F, $0F, $00, $00, $00, $07, $3F, $BF, $BF, $1F, $07, $21, $A1
  .db $FD, $B7, $FF, $1D, $B7, $00, $11, $80, $C0, $E0, $E2, $C7, $83, $B7, $00, $04
  .db $80, $80, $C0, $DA, $3F, $B7, $FF, $04, $0F, $1F, $97, $F1, $B7, $FF, $18, $B7
  .db $00, $12, $E0, $F0, $78, $B8, $F6, $FF, $3F, $0F, $07, $03, $04, $0F, $3F, $B7
  .db $FF, $09, $7F, $DF, $9F, $E7, $FF, $F7, $B7, $FF, $08, $FE, $FC, $F8, $F0, $E0
  .db $F0, $B7, $FF, $04, $B7, $00, $0A, $01, $01, $00, $07, $B7, $00, $06, $02, $1F
  .db $07, $A3, $FF, $FF, $FF, $7F, $3B, $E5, $F8, $EF, $FE, $FE, $E5, $B7, $FF, $05
  .db $BF, $B7, $FF, $07, $F3, $E1, $C0, $C0, $80, $00, $00, $03, $07, $0F, $1F, $3F
  .db $B7, $FF, $04, $3F, $0F, $1F, $1F, $0F, $07, $27, $4F, $FF, $FF, $BB, $FA, $70
  .db $E4, $6F, $5B, $7F, $BF, $7F, $FF, $FF, $CF, $82, $F0, $CF, $83, $7F, $FF, $FF
  .db $FF, $7F, $FF, $7B, $FF, $3D, $BB, $9F, $9B, $DC, $B7, $FF, $0C, $7F, $3F, $7F
  .db $B7, $FF, $16, $1F, $0F, $DF, $3F, $EF, $B7, $FF, $04, $7F, $5F, $47, $E3, $FF
  .db $FF, $F7, $FF, $FF, $FF, $F1, $70, $E0, $E0, $E0, $21, $3F, $B7, $FF, $2C, $FE
  .db $FE, $F8, $F0, $F0, $E0, $C0, $80, $80, $F0, $F0, $E8, $F8, $38, $B9, $3B, $3F
  .db $7F, $FF, $FF, $FF, $E3, $EF, $CF, $CF, $DF, $EB, $C5, $B7, $FF, $1B, $FE, $FC
  .db $FC, $F8, $F0, $E0, $C4, $80, $B7, $00, $08, $01, $03, $07, $0F, $1F, $7F, $B7
  .db $FF, $21, $FE, $FC, $FC, $F8, $F8, $E0, $C0, $80, $B7, $00, $04, $80, $00, $10
  .db $00, $02, $01, $03, $07, $0F, $1F, $3F, $7F, $B7, $FF, $29
.end
