_user_int_ram  .equ  $D2FD

.org $D748		;_asm_exec_ram

 call $4AB1			;_runindicoff
 call $49DC			;_flushallmenus
 call $4A82			;_clrScrn
;decompress or copy the picture data for each picture (5 total) to the correct location
 ld de,spinkick_1
 call decompV
 ld hl,$FC00
 ld de,$CA00
 ld bc,1024
 ldir
 ld de,spinkick_2
 call decompV
 ld hl,$FC00
 ld de,$F600
 ld bc,1024
 ldir
 ld de,spinkick_3
 call decompV
 ld hl,$FC00
 ld de,$F200
 ld bc,1024
 ldir
 ld de,spinkick_4
 call decompV
 ld hl,$FC00
 ld de,$EE00
 ld bc,1024
 ldir
 ld de,spinkick_5
 call decompV

 res 2,(iy+$23)		;turn user int off so it won't get called by
					;accident before we're ready
clear_int:		;I always clear the interrupt for neatness (mainly for debugging)
 ld hl,$d2fd	;point hl to interrupt RAM
 ld (hl),$5A	;$5A is the standard checksum for a blank interrupt
 inc hl			;point hl one byte forward
 ld (hl),0		;clear the next byte
 ld de,$d2ff	;point de to the byte after hl
 ld bc,198		;we have to clear 198 bytes (of 200) since we already did the 1st & 2nd
 ldir			;clear it out

 ld hl,int				;hl point to the begining of the program
 ld de,_user_int_ram+1	;de pionts to where the program is to be loaded
 ld bc,int_end-int		;bc is the length of the program to be sent
 ldir					;copies it

 ld a,(_user_int_ram+1)			;this sets up checksum byte - 
 ld hl,_user_int_ram+($28*1)	;we need to add the 1st bite with another one
 add a,(hl)						;every 40 bytes and store it in the...
 ld hl,_user_int_ram+($28*2)
 add a,(hl)
 ld hl,_user_int_ram+($28*3)
 add a,(hl)
 ld hl,_user_int_ram+($28*4)
 add a,(hl)
 ld hl,_user_int_ram+($28*5)
 add a,(hl)
 ld (_user_int_ram),a			;first byte of the interrupt area

 set 2,(iy+$23)				;turn on the interrupt
 ld b,10
keyLoop:
 halt
 djnz keyLoop
 ld b,10

 ld a,%10000000
 out (1),a
 in a,(1)
 cp $FF
 jr z,keyLoop

 res 2,(iy+$23)		;turn user int off
 ld a,$3C
 out (0),a
 call $4A82			;_clrScrn
 ret


int:
 push af
 push hl
 ld hl,counter
 dec (hl)
 jr nz,EndIntRoutine
 ld (hl),2
 inc hl
 ld hl,page_number
 ld a,(hl)
 cp 32				;where to put the "use #"
 jr nz,keepgoing
 ld (hl),1
keepgoing:
 ld b,(hl)
 inc (hl)
findpage:
 inc hl
 djnz findpage
 ld a,(Last)
 cp (hl)
 jr z,EndIntRoutine
 ld a,(hl)
 out (0),a
 ld (Last),a
EndIntRoutine:
 pop hl
 pop af
 ret
int_end:


Last:
	.db 0
counter:
	.db 2

page_number:
	.db 1
page_order:
;gray 32 (use 32 & all pics)
	.db $2E,$3C,$3C,$32,$2E,$3C,$3C,$36,$2E,$3C,$3C,$32
	.db $2E,$3C,$0A,$3C,$3C,$2E,$32,$3C,$2E,$3C,$3C,$2E
	.db $36,$3C,$3C,$32,$2E,$3C,$3C

;gray 16 (use 14 & last 4 pics only)
;	.db $3C,$2E,$3C,$32,$3C,$36,$3C,$2E,$3C,$32,$3C,$2E,$3C

;gray 8 (use 8 & last 3 pics only)
;	.db $3C,$2E,$3C,$32,$3C,$2E,$3C

;gray 4 (use 5 & last 2 pics only)
;	.db $3C,$2E,$3C,$2E,$3C



;********************************************************
; -decompresses data that is vertically compressed with
; bmp2asm, by Levi Lansing    (total size=63 bytes)
; -(decompresses data into the video memory - 1024 bytes)
; -de=location of data to decompress
; -destroys- a,b,c,hl,de (points to byte after data)
;********************************************************
decompV:
 ld hl,$FC00        ;point hl to the screen mem
decompLoop:
 ld a,(de)          ;load the first byte of the compressed data
 cp $B7             ;check if it's a marker
 jr nz,DCnorm       ;if it's not, treat it as a normal byte
 inc de             ;if the byte is marked, the next byte tells us the value
 ld a,(de)          ;that is repeated so we
 ld c,a             ;put that in c
 inc de             ;the next byte tells us how many times it's repeated
 ld a,(de)
 ld b,a             ;we will load that into b to be used as a counter
 inc de             ;point to the next byte for later
DCrepeatLoop:
 ld (hl),c          ;put the value in the screen mem once
 push de            ;hide de
 ld de,16
 add hl,de          ;point hl to the next row (16 bytes forward)
 jr nc,DCloop       ;if hl isn't past the end of the screen data ($FFFF), then continue
 ld de,1022         ;if it is, we need to put it back to the next column
 sbc hl,de          ;point hl to the 1st row of the next column
 ld a, l
 cp $10             ;if l is over $10 (16d), it has completed the full screen
 jr c,DCloop        ;jump if it's not over $10 to continue
 pop de             ;restore de again
 ret                ;return from the routine
DCloop:
 pop de             ;restore de
 djnz DCrepeatLoop  ;decrement b and continue loading the same byte down the
                    ;column until b is 0
 jr decompLoop      ;continue with the next byte
DCnorm:
 ld (hl),a          ;load the byte into the screen mem
 inc de             ;point de to the next byte
 push de            ;hide it
 ld de, 16
 add hl,de          ;point hl to the next row (16 bytes forward)
 pop de             ;restore de
 jr nc,decompLoop   ;if hl did not go past $FFFF (it would flip to 0+) then continue
 push de            ;hide de again
 ld de, 1022
 sbc hl,de          ;subtracting 1022 from hl put's it at the 1st row of the next column
 ld a, l
 cp $10             ;check if hl is past the first row (if it is, we finished decompressing)
 pop de             ;restore de again
 jr c,decompLoop    ;if we're not done, keep going...
 ret                ;if we get here, we're done and will return from the routine



spinkick_1:
;Compressed picture made with BMP2ASM v1.1 by Levi Lansing (puzzlesome@hotmail.com)
;Compressed from 1024 bytes to 1015 bytes - 1% compressed!
  .db $26, $1B, $DE, $79, $E7, $BE, $77, $D6, $80, $07, $98, $6A, $72, $5B, $95, $C0
  .db $03, $89, $03, $C5, $7C, $AE, $BA, $7B, $CB, $FF, $FF, $7D, $FF, $C3, $03, $00
  .db $01, $00, $C3, $E6, $FC, $E6, $70, $DA, $18, $BA, $7E, $1D, $1D, $16, $E5, $BA
  .db $FA, $76, $EC, $F2, $F3, $90, $20, $07, $2F, $1F, $34, $FD, $FC, $F8, $E0, $81
  .db $E7, $9F, $74, $F1, $42, $CF, $7F, $96, $ED, $A8, $8D, $B7, $B7, $01, $FA, $DD
  .db $B6, $EE, $B2, $B7, $B7, $01, $1F, $BF, $3F, $9F, $3F, $FF, $FF, $FF, $FD, $FB
  .db $77, $C6, $9E, $B2, $E2, $C2, $01, $01, $03, $07, $07, $0D, $14, $26, $7F, $A8
  .db $00, $81, $76, $C3, $7E, $FF, $D0, $C8, $3C, $EE, $C4, $FC, $5F, $81, $0B, $37
  .db $0A, $7E, $1E, $3E, $C7, $1C, $A1, $8D, $88, $2D, $1D, $76, $D3, $FC, $D5, $77
  .db $E7, $AF, $DF, $DF, $B7, $FF, $0B, $BF, $07, $17, $AF, $FC, $3C, $36, $EB, $CA
  .db $85, $07, $3F, $2E, $1C, $9E, $F4, $E9, $E1, $C0, $C4, $23, $67, $66, $37, $10
  .db $7D, $4C, $3A, $0B, $EF, $E1, $E0, $A0, $A0, $8E, $1B, $1F, $31, $D3, $2D, $A3
  .db $ED, $F5, $5F, $DF, $5F, $B7, $FF, $0D, $FE, $F8, $FB, $F0, $E0, $DF, $8B, $0B
  .db $ED, $1F, $1E, $00, $FA, $F1, $C3, $83, $01, $9F, $07, $0F, $8F, $F2, $79, $70
  .db $E5, $F0, $20, $03, $31, $81, $3C, $7C, $47, $96, $FF, $1F, $38, $7C, $74, $60
  .db $AC, $F0, $36, $FF, $BF, $BE, $FC, $F9, $F0, $F0, $F1, $EB, $F8, $E0, $D2, $D1
  .db $C2, $CE, $CC, $D1, $E2, $CF, $83, $71, $4D, $1A, $FB, $78, $60, $DE, $8F, $83
  .db $C7, $2D, $1C, $1E, $CC, $F9, $E1, $C0, $E0, $CB, $0F, $13, $07, $89, $FF, $F8
  .db $80, $38, $74, $C3, $6D, $F9, $15, $37, $E4, $E0, $53, $19, $39, $01, $03, $00
  .db $02, $74, $E7, $9F, $3C, $EC, $D1, $6B, $73, $E1, $A0, $E1, $E1, $A3, $76, $07
  .db $36, $1C, $B0, $63, $C3, $8F, $07, $06, $7D, $5C, $34, $F9, $E0, $E0, $8F, $4F
  .db $83, $C7, $7E, $1D, $1A, $A8, $FA, $69, $E1, $D1, $A8, $B4, $20, $A4, $FC, $EB
  .db $33, $6C, $AE, $1D, $17, $15, $A9, $C6, $2F, $27, $E2, $4F, $74, $92, $F0, $F3
  .db $84, $0C, $33, $D0, $35, $47, $87, $3B, $21, $09, $1C, $F8, $95, $00, $15, $53
  .db $38, $CE, $0F, $EB, $65, $C3, $E8, $3D, $E1, $51, $40, $09, $70, $B0, $61, $EA
  .db $22, $E7, $DF, $37, $2F, $0E, $3C, $38, $68, $B0, $40, $85, $C2, $81, $29, $AD
  .db $F6, $17, $35, $D9, $44, $23, $27, $72, $B9, $4E, $9F, $27, $21, $D9, $84, $7D
  .db $55, $84, $67, $8C, $2E, $9C, $FE, $B8, $8B, $1B, $9F, $D6, $88, $DC, $F1, $F0
  .db $27, $BD, $3B, $6D, $33, $D3, $CE, $5A, $60, $41, $84, $36, $CE, $FE, $FE, $A0
  .db $0B, $BF, $C3, $B7, $B7, $01, $3E, $0E, $4F, $AE, $FE, $78, $3F, $ED, $1D, $B6
  .db $19, $B3, $EF, $CF, $5C, $79, $EF, $3C, $B7, $B7, $01, $A6, $7E, $3A, $3E, $3E
  .db $7C, $B8, $8B, $BF, $1F, $8F, $3E, $C5, $D3, $C6, $87, $AA, $74, $6D, $09, $31
  .db $FC, $61, $C5, $C3, $DD, $96, $4E, $8E, $CE, $7E, $5D, $28, $F3, $33, $FC, $77
  .db $67, $7F, $EF, $38, $77, $FE, $1F, $DF, $EE, $39, $60, $DA, $AE, $DE, $9E, $57
  .db $76, $CC, $DB, $26, $08, $0F, $A7, $00, $27, $97, $17, $0F, $97, $3E, $7C, $4F
  .db $1F, $F7, $7F, $A5, $80, $0C, $0E, $09, $BD, $1F, $E9, $3B, $37, $57, $67, $E3
  .db $CF, $9F, $DE, $BF, $BE, $7C, $7F, $FD, $7F, $1F, $FB, $F1, $F5, $F2, $E7, $FB
  .db $FF, $FF, $E0, $03, $DB, $8E, $BF, $3B, $3A, $98, $D4, $39, $36, $34, $45, $BA
  .db $BB, $E6, $7D, $30, $62, $0D, $31, $A2, $01, $C2, $E3, $C3, $C5, $B1, $05, $85
  .db $87, $8D, $C3, $CB, $A7, $0F, $6F, $EE, $EA, $FE, $DF, $BC, $BD, $B9, $79, $B3
  .db $71, $71, $77, $F7, $E7, $13, $E2, $EB, $C7, $C7, $15, $C6, $97, $0E, $9E, $3F
  .db $77, $6F, $41, $DD, $F0, $B2, $2C, $60, $7B, $D3, $32, $1D, $32, $84, $48, $20
  .db $C6, $0E, $94, $24, $64, $F8, $FC, $FC, $1E, $C2, $C0, $F4, $F8, $F8, $58, $F9
  .db $80, $F0, $F8, $F8, $FC, $2C, $45, $6E, $ED, $EC, $C6, $57, $E9, $8F, $EE, $C4
  .db $3E, $C2, $1D, $45, $04, $CA, $36, $9C, $0E, $EE, $C0, $41, $E5, $E3, $3F, $36
  .db $0F, $82, $E6, $F4, $97, $04, $53, $94, $01, $02, $EE, $84, $1D, $43, $67, $EF
  .db $02, $13, $09, $5D, $1D, $57, $1A, $32, $7D, $9D, $72, $7C, $78, $6A, $6C, $64
  .db $B7, $B7, $01, $80, $B9, $20, $3C, $A8, $60, $60, $F0, $E4, $BE, $FF, $86, $9F
  .db $1F, $1F, $03, $01, $06, $10, $3B, $31, $30, $0A, $1C, $85, $D8, $D6, $81, $E1
  .db $3C, $89, $05, $5C, $8F, $E4, $99, $6E, $57, $C5, $B9, $1B, $0F, $68, $DD, $DE
  .db $47, $29, $69, $29, $7E, $D8, $52, $D2, $40, $24, $A4, $C2, $4A, $8A, $89, $DD
  .db $7F, $3D, $FE, $3C, $76, $07, $81, $01, $1E, $28, $08, $08, $00, $83, $FC, $86
  .db $7E, $0E, $7E, $FF, $67, $3F, $BF, $7F, $BF, $AE, $E1, $B6, $2E, $3C, $7C, $C8
  .db $F8, $50, $50, $90, $49, $79, $3D, $E4, $28, $F8, $54, $24, $30, $88, $98, $CA
  .db $D1, $33, $AD, $88, $91, $A9, $25, $C7, $5B, $CD, $C1, $BD, $E3, $F8, $41, $0E
  .db $E2, $7C, $20, $7D, $40, $83, $93, $BB, $8C, $48, $42, $01, $19, $21, $10, $1E
  .db $10, $08, $10, $04, $04, $82, $82, $82, $87, $00, $40, $40, $60, $60, $60, $FC
  .db $F0, $00, $36, $F0, $FC, $FA, $FC, $FE, $F0, $FE, $7E, $79, $01, $70, $7E, $7F
  .db $3F, $1F, $FE, $B7, $FF, $04, $9F, $7E, $8F, $4F, $FF, $7F, $FF, $FF, $FF, $BF
  .db $7F, $3F, $DF, $18, $FF, $3F, $3F, $A9, $44, $19, $39, $10, $98, $9A, $40, $47
  .db $3B, $21, $10, $00, $08, $00, $04, $00, $02, $81, $81, $80, $40, $00, $20, $22
  .db $30, $10, $00, $08, $84, $09, $04, $00, $08, $00, $03, $80, $00, $00, $80, $80
  .db $8D, $20, $E0, $C0, $EC, $E0, $E0, $00, $F0, $18, $00, $FC, $F8, $FE, $FC, $FD
  .db $FC, $FC, $FE, $1E, $F0, $FF, $FF

spinkick_2:
;Compressed picture made with BMP2ASM v1.1 by Levi Lansing (puzzlesome@hotmail.com)
;Compressed from 1024 bytes to 962 bytes - 6% compressed!
  .db $A1, $07, $3F, $FE, $F8, $C0, $8D, $35, $7E, $F8, $41, $17, $FB, $3A, $66, $BE
  .db $FC, $7E, $BF, $3F, $E7, $E5, $D7, $E3, $F7, $B7, $FF, $09, $3F, $1F, $1F, $7B
  .db $8F, $07, $07, $85, $01, $03, $03, $0D, $1E, $FD, $F0, $E0, $C0, $8E, $3C, $7F
  .db $B7, $FF, $04, $C3, $FA, $F3, $E7, $CF, $DF, $F8, $E0, $82, $05, $1D, $11, $C1
  .db $75, $1D, $15, $92, $4B, $11, $7B, $8F, $DF, $7F, $B7, $FF, $15, $FE, $FD, $FB
  .db $F2, $EF, $DF, $BF, $7F, $AE, $03, $7E, $FC, $D3, $C7, $47, $3F, $24, $C0, $20
  .db $7F, $FF, $6F, $FC, $FF, $FE, $FF, $78, $A0, $93, $72, $58, $7F, $E2, $90, $6F
  .db $A7, $3F, $B7, $FF, $12, $FE, $FE, $FD, $FB, $F6, $EF, $DF, $BF, $75, $FF, $FE
  .db $FD, $79, $FE, $F7, $EF, $DF, $FC, $28, $E0, $E1, $F0, $F1, $FE, $5D, $3B, $07
  .db $08, $EF, $FF, $9F, $9F, $76, $FF, $FF, $2A, $30, $DB, $7F, $1F, $BF, $B7, $FF
  .db $10, $FE, $FB, $FB, $F7, $FF, $DF, $BF, $7F, $FF, $FC, $F9, $BF, $F4, $EF, $DF
  .db $BF, $75, $7F, $FF, $FF, $7C, $FA, $FB, $F7, $29, $CF, $AF, $BD, $8F, $80, $FC
  .db $FC, $3F, $99, $01, $FC, $FD, $FF, $F3, $F7, $DB, $CF, $FF, $7F, $FF, $FF, $FF
  .db $FE, $FF, $FF, $FE, $FC, $FF, $FF, $FD, $FF, $FE, $FF, $FE, $F7, $F7, $DF, $BF
  .db $78, $FE, $FD, $FB, $F7, $EF, $CD, $BF, $FF, $BF, $FF, $FD, $F9, $BB, $F6, $EF
  .db $DF, $9F, $A9, $7F, $FF, $FF, $76, $EC, $FF, $81, $F1, $F1, $B0, $9C, $1E, $5F
  .db $1F, $3F, $60, $1E, $FE, $FE, $FE, $FC, $FF, $FE, $6E, $FB, $E2, $C1, $13, $27
  .db $CC, $82, $05, $0B, $17, $23, $7F, $F5, $7E, $DD, $FB, $F7, $EF, $DF, $B5, $7F
  .db $FE, $FC, $FF, $FB, $F6, $EF, $FF, $BA, $BF, $7F, $BF, $FE, $FC, $FD, $9B, $F5
  .db $F7, $EF, $CE, $C6, $81, $00, $A4, $FF, $EB, $FE, $9C, $9F, $51, $1B, $FF, $C8
  .db $03, $CD, $45, $3A, $5A, $6C, $49, $D3, $9F, $7C, $FB, $F8, $3F, $EB, $F9, $E8
  .db $68, $CE, $C6, $C7, $CE, $AB, $FF, $F6, $D6, $FA, $9A, $8F, $BB, $7F, $63, $31
  .db $AC, $B4, $F2, $97, $3E, $3F, $1F, $6F, $EC, $0E, $5F, $EF, $9F, $CF, $9E, $FC
  .db $C0, $B9, $F3, $C7, $43, $0F, $96, $01, $3F, $01, $09, $13, $8B, $72, $1F, $BA
  .db $F0, $97, $20, $72, $A2, $24, $C7, $83, $0B, $03, $03, $DE, $FF, $8D, $0F, $98
  .db $C0, $D6, $EF, $6F, $AF, $3F, $BB, $77, $9F, $0F, $2F, $D3, $49, $69, $AE, $A3
  .db $01, $E1, $40, $80, $36, $EE, $FE, $FE, $20, $68, $C1, $EF, $AF, $3F, $3E, $7E
  .db $9D, $FD, $FF, $FC, $F4, $D4, $0A, $19, $8F, $DF, $87, $F8, $B8, $A0, $83, $8F
  .db $42, $FE, $FA, $FE, $FE, $FC, $78, $8F, $80, $00, $80, $F7, $E3, $2F, $DF, $FE
  .db $3D, $EF, $FF, $4F, $F7, $EB, $EF, $F7, $DF, $AB, $FF, $5E, $7F, $3F, $FD, $FB
  .db $BB, $FF, $F7, $EB, $77, $6F, $67, $E7, $28, $10, $BF, $7F, $7F, $7F, $FE, $FF
  .db $E4, $E1, $21, $03, $05, $30, $F6, $8F, $22, $04, $0C, $E8, $F7, $FF, $8F, $0F
  .db $3F, $CF, $1F, $5C, $3F, $3F, $BF, $FF, $B3, $80, $00, $BD, $FF, $7B, $F8, $17
  .db $F7, $EF, $EF, $FF, $D9, $FF, $BE, $BE, $7E, $7F, $FD, $FD, $F9, $FB, $3B, $FF
  .db $FF, $F7, $FE, $FF, $EC, $FF, $FE, $E0, $04, $14, $00, $80, $80, $00, $A8, $84
  .db $18, $34, $34, $40, $A8, $B0, $C1, $4A, $0E, $1E, $FC, $F0, $13, $02, $C1, $E1
  .db $C1, $C7, $17, $02, $83, $83, $8B, $CF, $C7, $D7, $06, $FF, $FF, $D7, $DF, $FE
  .db $FD, $3D, $FB, $FD, $71, $F3, $33, $F7, $B3, $E3, $37, $E6, $EF, $CF, $C7, $13
  .db $CE, $9F, $1F, $8E, $9F, $37, $A5, $CD, $46, $50, $12, $5C, $60, $7A, $10, $48
  .db $50, $61, $83, $A7, $9F, $BE, $7E, $74, $CC, $E4, $F8, $FC, $FC, $3E, $C3, $C0
  .db $F4, $F8, $F8, $38, $FE, $80, $F0, $F8, $F8, $FC, $1C, $FE, $ED, $EE, $EF, $CB
  .db $BB, $E1, $86, $E6, $CC, $26, $CA, $13, $4D, $0A, $CA, $2E, $9A, $BC, $FA, $EA
  .db $69, $ED, $69, $2E, $E5, $F1, $FF, $E3, $01, $1E, $1E, $3D, $28, $2E, $2E, $29
  .db $77, $E2, $9B, $CF, $05, $2E, $38, $29, $6D, $4C, $67, $64, $65, $2C, $3F, $36
  .db $34, $20, $30, $34, $B5, $FB, $D8, $F9, $F1, $F8, $79, $E0, $E0, $70, $6C, $BE
  .db $FF, $B6, $FF, $7E, $7E, $7C, $7C, $38, $2A, $00, $00, $01, $60, $61, $61, $B1
  .db $B7, $B7, $01, $33, $5F, $42, $0B, $DF, $9A, $74, $78, $7D, $20, $08, $7E, $BC
  .db $1C, $0A, $8E, $AF, $2D, $3F, $FF, $B9, $3D, $F8, $F8, $BD, $FA, $37, $E9, $6B
  .db $EB, $A3, $A3, $63, $27, $86, $85, $45, $C6, $4E, $DF, $DF, $DE, $1E, $28, $08
  .db $08, $00, $87, $7C, $7E, $7E, $7E, $3E, $3F, $7F, $BF, $BF, $FF, $7F, $BF, $BE
  .db $B9, $31, $C3, $C3, $E7, $E7, $8F, $2F, $8F, $FF, $3F, $EF, $EF, $AF, $0B, $CF
  .db $BB, $87, $17, $75, $95, $F7, $6B, $E9, $D5, $95, $7F, $A3, $4B, $C9, $CB, $9B
  .db $1F, $31, $92, $D8, $47, $EB, $BF, $B4, $FB, $53, $40, $BD, $D7, $84, $40, $42
  .db $01, $39, $20, $10, $1A, $10, $08, $38, $04, $02, $82, $81, $82, $87, $C1, $CC
  .db $C0, $E0, $E0, $E0, $FA, $F0, $F0, $F5, $F8, $FC, $FD, $FC, $FE, $FC, $FE, $FE
  .db $B7, $FF, $0E, $7F, $FF, $FF, $7F, $FF, $BF, $FF, $BF, $FF, $BF, $7F, $3F, $BF
  .db $3F, $BF, $20, $05, $18, $08, $00, $80, $9A, $40, $41, $28, $20, $11, $00, $08
  .db $00, $04, $00, $02, $81, $80, $80, $70, $40, $20, $23, $30, $10, $10, $08, $8C
  .db $09, $04, $04, $0E, $02, $03, $81, $01, $00, $80, $80, $8F, $A0, $E0, $C0, $DC
  .db $E0, $E0, $E0, $F0, $F8, $F0, $FC, $F8, $FE, $FC, $FF, $FC, $FC, $FE, $FE, $FE
  .db $FF, $FF

spinkick_3:
;Compressed picture made with BMP2ASM v1.1 by Levi Lansing (puzzlesome@hotmail.com)
;Compressed from 1024 bytes to 894 bytes - 13% compressed!
  .db $DF, $B7, $FF, $05, $FC, $F9, $C1, $00, $81, $E0, $1E, $06, $01, $01, $07, $07
  .db $7F, $FF, $FF, $FF, $EF, $B7, $FF, $12, $7F, $FF, $FF, $FF, $FC, $F8, $C0, $00
  .db $00, $00, $0E, $B7, $00, $05, $01, $02, $B7, $00, $05, $FF, $FF, $F9, $FA, $E0
  .db $21, $31, $8A, $12, $46, $D7, $03, $0F, $5F, $7F, $7F, $B7, $FF, $15, $FE, $FC
  .db $F8, $F0, $E2, $C0, $80, $00, $00, $3E, $03, $7F, $FF, $D7, $CF, $7F, $3F, $24
  .db $40, $00, $00, $00, $60, $00, $00, $00, $02, $82, $C1, $60, $04, $84, $2D, $81
  .db $0F, $4F, $3F, $B7, $FF, $13, $FE, $FC, $F8, $F0, $E0, $C0, $80, $00, $04, $B7
  .db $00, $04, $06, $00, $00, $00, $BC, $D8, $E0, $E0, $F0, $F1, $FF, $BF, $3C, $0F
  .db $08, $00, $20, $00, $80, $06, $00, $00, $40, $0B, $07, $3F, $BF, $B7, $FF, $11
  .db $FE, $FA, $F8, $E0, $F0, $80, $00, $00, $01, $00, $00, $80, $B7, $00, $04, $04
  .db $00, $00, $01, $00, $02, $00, $00, $01, $00, $20, $01, $80, $80, $FC, $FC, $FF
  .db $9F, $01, $00, $00, $04, $00, $00, $18, $00, $B7, $FF, $0E, $FE, $FE, $FC, $F0
  .db $F0, $C0, $80, $00, $00, $00, $03, $00, $00, $0C, $00, $80, $80, $01, $00, $00
  .db $80, $B7, $00, $04, $08, $B7, $00, $04, $0D, $03, $83, $06, $01, $83, $1E, $3F
  .db $7E, $7F, $FF, $E0, $1E, $B7, $00, $06, $60, $FC, $FC, $F8, $F8, $F8, $F0, $FC
  .db $FC, $F8, $F0, $E0, $E0, $C4, $00, $10, $00, $80, $00, $00, $04, $00, $00, $00
  .db $04, $00, $00, $00, $20, $02, $00, $00, $80, $00, $00, $00, $80, $01, $00, $00
  .db $00, $0C, $01, $00, $A4, $FF, $F6, $FE, $03, $3F, $9E, $1F, $19, $0F, $08, $00
  .db $1D, $31, $71, $63, $47, $CF, $8F, $0C, $08, $00, $00, $0C, $1F, $3F, $17, $3F
  .db $3F, $3F, $3B, $30, $31, $1C, $3F, $2D, $51, $0D, $FC, $A8, $1C, $1F, $09, $A2
  .db $08, $00, $08, $10, $B0, $10, $11, $11, $60, $F0, $78, $50, $81, $C3, $AF, $16
  .db $4C, $B8, $98, $E0, $C8, $B1, $CF, $0F, $1F, $AF, $C7, $B1, $BF, $A6, $F0, $B1
  .db $E0, $F2, $A2, $E4, $C7, $80, $08, $B7, $00, $06, $E3, $FD, $E1, $D0, $51, $52
  .db $B0, $90, $40, $E0, $C0, $5C, $E8, $E2, $B9, $AC, $86, $9C, $5E, $79, $60, $39
  .db $11, $01, $01, $5F, $17, $3E, $10, $60, $E0, $C0, $80, $80, $00, $00, $04, $04
  .db $1C, $0A, $19, $9F, $FF, $FF, $F8, $F8, $E0, $80, $80, $01, $01, $05, $01, $01
  .db $03, $07, $70, $7F, $FF, $7F, $B7, $00, $05, $D8, $E0, $54, $30, $00, $08, $00
  .db $04, $00, $08, $00, $40, $00, $02, $00, $00, $20, $00, $00, $08, $88, $80, $88
  .db $18, $CF, $E7, $00, $00, $00, $60, $00, $00, $00, $E1, $01, $03, $07, $32, $FE
  .db $8F, $26, $04, $0C, $E8, $00, $00, $60, $E0, $C0, $00, $C0, $83, $80, $80, $00
  .db $00, $40, $7F, $FF, $B7, $00, $07, $40, $B7, $00, $0E, $04, $01, $00, $00, $00
  .db $01, $1C, $F8, $E1, $B7, $00, $04, $B8, $84, $18, $34, $F4, $40, $A8, $B0, $C0
  .db $78, $00, $00, $02, $0E, $0C, $FC, $3C, $1C, $3C, $38, $08, $F8, $78, $78, $70
  .db $30, $30, $00, $F0, $B7, $00, $05, $02, $02, $04, $00, $0C, $0C, $0C, $08, $88
  .db $18, $08, $19, $10, $30, $30, $E0, $31, $60, $E0, $61, $60, $18, $2E, $E6, $D8
  .db $30, $32, $7C, $60, $7A, $50, $78, $50, $60, $80, $E0, $80, $81, $01, $0B, $03
  .db $1B, $07, $03, $03, $01, $3C, $3F, $0B, $07, $07, $07, $00, $7F, $0F, $07, $07
  .db $03, $03, $02, $12, $12, $12, $35, $04, $16, $70, $11, $33, $C1, $35, $E0, $B2
  .db $F1, $35, $C1, $67, $02, $03, $00, $81, $01, $01, $C6, $09, $01, $02, $22, $00
  .db $1B, $1A, $3B, $3B, $2B, $2A, $2C, $34, $20, $07, $17, $10, $D5, $CE, $D6, $92
  .db $93, $98, $9F, $96, $92, $0D, $85, $86, $8A, $82, $8E, $06, $05, $2F, $03, $0A
  .db $02, $02, $0F, $0F, $0F, $13, $41, $00, $79, $7F, $FF, $FF, $FE, $FE, $FC, $FC
  .db $F8, $F8, $F1, $D1, $50, $52, $C3, $40, $C2, $8C, $84, $89, $D6, $EB, $63, $EE
  .db $EF, $F0, $D5, $D7, $93, $34, $A3, $24, $A4, $20, $A8, $20, $26, $A6, $27, $27
  .db $E6, $27, $FE, $34, $76, $74, $36, $F4, $35, $F0, $70, $32, $32, $32, $33, $33
  .db $B3, $33, $E1, $D7, $F7, $F7, $FF, $78, $B7, $FF, $06, $BF, $FF, $7F, $3F, $BF
  .db $5F, $DF, $5F, $DF, $1F, $4F, $CF, $8F, $6F, $8F, $8F, $87, $67, $97, $97, $F7
  .db $C7, $63, $83, $43, $6B, $8B, $69, $21, $DD, $47, $7F, $6E, $BC, $50, $00, $22
  .db $12, $2E, $26, $00, $8B, $AD, $F9, $87, $1B, $59, $87, $8E, $0F, $6E, $08, $7B
  .db $BF, $BD, $FE, $C6, $DF, $EF, $E1, $EF, $F7, $C7, $FB, $F9, $7D, $FC, $FD, $F8
  .db $FE, $F3, $B7, $FF, $04, $F1, $FF, $FF, $F8, $FF, $FB, $F8, $FF, $FD, $FF, $FF
  .db $FF, $FE, $B7, $FF, $0E, $7F, $7F, $FF, $7F, $7F, $3F, $7F, $3F, $7F, $BF, $FF
  .db $5F, $DF, $DF, $DF, $FB, $E7, $F7, $FF, $7F, $65, $BF, $BE, $C7, $DF, $EE, $FF
  .db $F7, $FF, $FB, $FF, $FD, $7E, $7E, $7F, $8F, $BF, $DF, $DC, $CF, $EF, $EF, $F7
  .db $73, $F6, $FB, $FB, $F1, $FD, $FC, $7E, $FE, $FF, $7F, $FF, $F0, $DF, $DF, $FF
  .db $C3, $B7, $FF, $04, $F7, $FF, $FB, $FF, $F9, $FB, $FC, $B7, $FF, $08

spinkick_4:
;Compressed picture made with BMP2ASM v1.1 by Levi Lansing (puzzlesome@hotmail.com)
;Compressed from 1024 bytes to 607 bytes - 41% compressed!
  .db $B7, $FF, $07, $FE, $FF, $FF, $FE, $FF, $F5, $FD, $FE, $B7, $FF, $24, $F1, $B7
  .db $FF, $05, $FE, $FD, $B7, $FF, $0A, $FE, $FF, $7D, $FF, $FF, $BF, $FD, $F7, $AF
  .db $BF, $B7, $FF, $1A, $FD, $B7, $FF, $04, $C1, $FC, $80, $00, $28, $30, $80, $C0
  .db $DB, $BF, $FF, $FF, $FF, $9F, $FF, $FF, $FF, $FD, $FF, $7F, $FF, $FB, $FD, $F6
  .db $7F, $F7, $BF, $B7, $FF, $1C, $FB, $B7, $FF, $04, $F9, $FF, $FF, $FF, $03, $07
  .db $1F, $1F, $0F, $0E, $00, $00, $C0, $F0, $F7, $FF, $DF, $FF, $7F, $F9, $B7, $FF
  .db $05, $DF, $B7, $FF, $13, $FD, $FF, $FF, $EF, $FF, $FF, $FF, $FE, $FF, $FF, $7F
  .db $B7, $FF, $04, $FB, $FF, $FF, $FE, $FF, $FD, $FF, $FF, $FE, $FF, $DF, $FE, $7F
  .db $7F, $03, $03, $00, $60, $FE, $FF, $FF, $FB, $FF, $FF, $E7, $B7, $FF, $10, $FD
  .db $FB, $FF, $EF, $B7, $FF, $05, $FC, $FF, $FF, $F3, $FF, $7F, $7F, $FE, $FF, $FF
  .db $7F, $B7, $FF, $04, $F7, $B7, $FF, $04, $F2, $FC, $7C, $F8, $FE, $7C, $E0, $C0
  .db $80, $80, $00, $1F, $E1, $B7, $FF, $06, $9F, $B7, $FF, $0B, $DF, $BB, $FF, $EF
  .db $FF, $7F, $FF, $FF, $FB, $FF, $FF, $FF, $FB, $FF, $FF, $FF, $DF, $FD, $FF, $FF
  .db $7F, $FF, $FF, $FF, $7F, $FE, $FF, $FF, $FF, $F2, $FE, $FF, $5B, $00, $01, $01
  .db $00, $3F, $1F, $1C, $1F, $0D, $0F, $0C, $9D, $B4, $F0, $A0, $80, $20, $60, $F3
  .db $F7, $B7, $FF, $09, $FB, $FD, $FD, $E0, $FE, $C0, $8A, $BF, $1B, $B7, $B7, $01
  .db $FF, $BF, $A3, $7E, $FE, $DF, $06, $0F, $1F, $7F, $FC, $DF, $EF, $6F, $87, $CF
  .db $CF, $B7, $B7, $01, $57, $EF, $FF, $FF, $3F, $7F, $3F, $7E, $70, $F0, $E0, $40
  .db $80, $B0, $B4, $B1, $6F, $8E, $1F, $0D, $5D, $1B, $38, $7F, $F7, $B7, $FF, $04
  .db $8F, $9F, $FD, $FD, $FC, $FF, $7E, $BD, $BF, $BF, $7F, $7F, $BF, $07, $E5, $F5
  .db $86, $37, $0D, $EF, $9F, $78, $E1, $3F, $FF, $FF, $FF, $7F, $DF, $9F, $B7, $FF
  .db $05, $7F, $FF, $FF, $FB, $FB, $E3, $F5, $E6, $60, $00, $00, $07, $07, $1F, $7F
  .db $7F, $B7, $FF, $10, $3F, $6F, $D3, $CF, $FF, $F7, $FF, $FB, $FF, $F7, $FF, $BF
  .db $FF, $FD, $FF, $FF, $DF, $FF, $FF, $F7, $B7, $E7, $04, $EF, $E7, $FF, $FF, $FF
  .db $9F, $FF, $FF, $FF, $1E, $FE, $FC, $F8, $CD, $01, $70, $D9, $FB, $F3, $17, $B7
  .db $FF, $16, $BF, $B7, $FF, $0E, $FB, $B7, $FF, $04, $FE, $FD, $FD, $FE, $B7, $FF
  .db $04, $47, $7B, $E7, $CB, $0B, $BF, $57, $4F, $3F, $87, $B7, $FF, $20, $7F, $B7
  .db $FF, $0B, $DF, $8F, $57, $B1, $27, $8F, $CD, $83, $9F, $85, $AF, $87, $AF, $9F
  .db $7F, $1F, $7F, $7F, $B7, $FF, $15, $B7, $FD, $04, $B7, $FF, $0E, $FD, $FD, $FD
  .db $FE, $F8, $FE, $F9, $F8, $FE, $FF, $C3, $FE, $E0, $E1, $C0, $C0, $D0, $D1, $D3
  .db $CB, $DF, $F8, $FC, $FB, $FB, $B7, $FF, $06, $FB, $FF, $F6, $FB, $FB, $F3, $FF
  .db $F7, $FB, $FA, $F3, $FE, $F3, $FF, $F3, $B7, $FF, $10, $FE, $FF, $7F, $FF, $FF
  .db $7F, $7F, $F3, $7F, $76, $48, $F0, $7E, $7E, $0F, $08, $2D, $2D, $68, $E9, $7C
  .db $7B, $FB, $7F, $7F, $FF, $FF, $7F, $FF, $FF, $FF, $FE, $FD, $FF, $3D, $3F, $FD
  .db $BF, $FE, $3F, $3E, $FF, $3E, $FF, $3E, $FE, $BE, $FE, $B7, $FF, $15, $BF, $FF
  .db $7F, $BF, $3F, $7F, $7F, $3F, $BF, $9F, $BF, $1F, $3F, $3F, $7F, $B7, $FF, $05
  .db $F7, $F7, $A7, $E7, $47, $EF, $DF, $FB, $9F, $F3, $9B, $F7, $3D, $65, $37, $6F
  .db $65, $CB, $6D, $DB, $FB, $97, $DF, $B7, $FF, $40, $FE, $FE, $B7, $FF, $3F

spinkick_5:
;Compressed picture made with BMP2ASM v1.1 by Levi Lansing (puzzlesome@hotmail.com)
;Compressed from 1024 bytes to 164 bytes - 84% compressed!
  .db $B7, $FF, $FF, $B7, $FF, $71, $C0, $E0, $E0, $E0, $F0, $F0, $F3, $E2, $CF, $8F
  .db $DF, $B7, $FF, $0E, $FE, $FE, $FE, $EF, $C1, $FF, $ED, $86, $07, $5F, $9F, $FF
  .db $DD, $FD, $B7, $FF, $04, $EF, $FF, $FF, $FF, $9F, $9F, $B7, $FF, $07, $7F, $B7
  .db $FF, $08, $7F, $4F, $43, $4F, $9F, $7F, $B7, $FF, $0D, $FE, $FE, $FF, $FF, $FF
  .db $7F, $5F, $7F, $BF, $FF, $1F, $CB, $DB, $FF, $FF, $CF, $FF, $FF, $FF, $BF, $FF
  .db $CF, $B7, $FF, $04, $3F, $B7, $FF, $27, $9F, $BF, $B7, $FF, $15, $F7, $B7, $FF
  .db $7D, $BF, $7F, $B7, $FF, $3E, $FC, $FC, $B7, $FF, $0B, $FB, $B7, $FF, $0A, $FB
  .db $B7, $FF, $04, $FB, $B7, $FF, $1B, $7F, $FF, $FF, $7F, $FF, $FF, $BF, $0F, $81
  .db $81, $F0, $FF, $FA, $FA, $B7, $FF, $04, $7F, $B7, $FF, $0E, $7F, $B7, $FF, $08
  .db $7F, $B7, $FF, $17, $BF, $BF, $7F, $B7, $FF, $04, $DF, $7F, $7F, $B7, $FF, $18
  .db $FD, $B7, $FF, $88
.end
